package com.dji.video.widgets;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Rect;
import android.graphics.Paint.Style;
import android.util.AttributeSet;
import android.util.SparseArray;
import android.view.GestureDetector;
import android.view.MotionEvent;
import android.view.View;
import android.view.GestureDetector.OnGestureListener;
import android.view.View.OnTouchListener;
import android.widget.ImageView;
import com.dji.video.b.h;
import com.dji.video.b.i;
import com.dji.video.b.k;

public class FreqSnrView extends ImageView implements OnGestureListener, OnTouchListener {
   private static int h;
   private static int i = 0;
   private static int j = 0;
   private static int k = 0;
   int a;
   int b;
   float[] c = new float[32];
   float[] d = new float[32];
   SparseArray e = h.a().d();
   Context f;
   private final String g = "FreqSnrView";
   private int l;
   private int m;
   private int n;
   private int o = -60;
   private int p = -100;
   private int q = 0;
   private int r;
   private int s = -1;
   private int t = 0;
   private int u = 0;
   private int v = 1;
   private boolean w = false;
   private GestureDetector x;
   private String y;
   private String z;

   public FreqSnrView(Context var1, AttributeSet var2) {
      super(var1, var2);
      this.f = var1;
      this.x = new GestureDetector(this);
      this.setOnTouchListener(this);
      this.y = this.getResources().getString(2131427503);
      this.z = this.getResources().getString(2131427502);
      k.a().i();
      this.a();
      this.b();
   }

   private void a(Canvas var1, Paint var2) {
      var2.setColor(-256);
      var2.setStyle(Style.FILL);

      for(int var3 = 1; var3 <= 10; ++var3) {
         if(this.r == var3 + 11) {
            var2.setColor(-16711936);
         } else {
            var2.setColor(-256);
         }

         var2.setTextSize(20.0F);
         var1.drawRect(new Rect(i * var3 - k / 2 + 100, (int)((float)h - (this.c[var3 - 1 + 11] - (float)this.p) * (float)this.n), i * var3 + 100 + k / 2, h), var2);
         var1.drawText(String.valueOf(this.c[var3 - 1 + 11]), (float)(i * var3 + 100), (float)h - (this.c[var3 - 1 + 11] - (float)this.p) * (float)this.n - 15.0F, var2);
      }

   }

   private void b(Canvas var1, Paint var2) {
      for(int var3 = 1; var3 <= 10; ++var3) {
         var2.setColor(-65536);
         var1.drawCircle((float)(i * var3 + 100), (float)h - (this.d[var3 - 1 + 11] - (float)this.p) * (float)this.n, 10.0F, var2);
         var2.setTextSize(20.0F);
         if(var3 < 10) {
            var1.drawLine((float)(i * var3 + 100), (float)h - (this.d[var3 - 1 + 11] - (float)this.p) * (float)this.n, (float)((var3 + 1) * i + 100), (float)h - (this.d[var3 + 11] - (float)this.p) * (float)this.n, var2);
         }

         var1.drawText(String.valueOf(this.d[var3 - 1 + 11]), (float)(i * var3 + 100 - 20), (float)h - (this.d[var3 - 1 + 11] - (float)this.p) * (float)this.n - 15.0F, var2);
      }

   }

   private void c(Canvas var1, Paint var2) {
      var1.rotate(-90.0F, 98.0F, 100.0F);
      var2.setColor(-1);
      var2.setTextSize(26.0F);
      var1.drawText(this.z, 100.0F, 40.0F, var2);
      var1.rotate(90.0F, 98.0F, 60.0F);
      var1.drawText(this.y, (float)(this.m + 100 - 35), (float)(h + 40), var2);

      for(int var3 = 1; var3 <= 10; ++var3) {
         var1.drawText(String.valueOf(this.t * 10 + var3), (float)(i * var3 + 100 + 30), (float)(h + 10), var2);
         var1.drawText(String.valueOf(this.p + var3 * 10), 92.0F, (float)(h - j * var3 - 35), var2);
      }

   }

   private void d(Canvas var1, Paint var2) {
      byte var4 = 1;
      var2.setStrokeWidth(2.0F);

      int var3;
      for(var3 = 1; var3 <= 4; ++var3) {
         switch(var3) {
         case 1:
            var2.setColor(-16711936);
            break;
         case 2:
            var2.setColor(-256);
            break;
         case 3:
            var2.setColor(-65536);
            break;
         case 4:
            var2.setColor(-1);
            break;
         default:
            var2.setColor(-1);
         }

         var1.drawLine(96.0F, (float)(h - j * var3), (float)this.a, (float)(h - j * var3), var2);
      }

      var2.setColor(-1);

      for(var3 = var4; var3 < 17; ++var3) {
         var1.drawLine((float)(i * var3 + 100), (float)(h + 4), (float)(i * var3 + 100), 40.0F, var2);
      }

   }

   public void a() {
      for(int var1 = 0; var1 < this.c.length; ++var1) {
         this.c[var1] = -100.0F;
         this.d[var1] = -100.0F;
      }

   }

   public void a(int var1) {
      this.t = var1;
      this.r = k.a().i();
      if(this.e == null) {
         this.e = h.a().d();
      }

      this.e.size();
      this.w = true;

      for(var1 = 11; var1 <= 20; ++var1) {
         this.c[var1] = (float)((i)this.e.get(var1)).e();
         this.d[var1] = (float)((i)this.e.get(var1)).d();
         if(this.c[var1] == 0.0F && this.d[var1] == 0.0F) {
            this.w = false;
            break;
         }
      }

      this.postInvalidate();
   }

   public void b() {
      this.a(this.t);
   }

   public boolean onDown(MotionEvent var1) {
      return true;
   }

   protected void onDraw(Canvas var1) {
      super.onDraw(var1);
      this.a = var1.getWidth();
      this.b = var1.getHeight();
      h = this.b - 40 - 100;
      this.l = h - 40;
      this.m = this.a - 100;
      j = (this.l - this.l % 4) / 4;
      i = (this.m - this.m % 11) / 11;
      k = i / 2;
      this.n = j / 10;
      Paint var2 = new Paint();
      var2.setAntiAlias(true);
      var2.setColor(-1);
      var2.setStrokeWidth(3.0F);
      var1.drawLine(100.0F, 40.0F, 100.0F, (float)h, var2);
      var1.drawLine(100.0F, (float)h, (float)(this.m + 100), (float)h, var2);
      if(!this.w) {
         var2.setColor(-65536);
         var2.setTextSize(48.0F);
         var1.drawText(this.getResources().getString(2131427473), (float)(this.m / 2), (float)(this.l / 2 + 40), var2);
      } else {
         this.d(var1, var2);
         this.a(var1, var2);
         this.b(var1, var2);
         this.c(var1, var2);
      }

   }

   public boolean onFling(MotionEvent var1, MotionEvent var2, float var3, float var4) {
      return true;
   }

   public void onLongPress(MotionEvent var1) {
   }

   public boolean onScroll(MotionEvent var1, MotionEvent var2, float var3, float var4) {
      return true;
   }

   public void onShowPress(MotionEvent var1) {
   }

   public boolean onSingleTapUp(MotionEvent var1) {
      return true;
   }

   public boolean onTouch(View var1, MotionEvent var2) {
      return this.x.onTouchEvent(var2);
   }
}
