package android.support.v4.app;

import android.os.Parcel;
import android.os.Parcelable;
import android.os.Parcelable.Creator;
import android.support.v4.app.Fragment;
import android.support.v4.app.b;
import android.support.v4.app.c;
import android.support.v4.app.d;
import android.support.v4.app.n;
import android.text.TextUtils;
import android.util.Log;
import java.util.ArrayList;

final class BackStackState implements Parcelable {
   public static final Creator CREATOR = new d();
   final int[] a;
   final int b;
   final int c;
   final String d;
   final int e;
   final int f;
   final CharSequence g;
   final int h;
   final CharSequence i;

   public BackStackState(Parcel var1) {
      super();
      this.a = var1.createIntArray();
      this.b = var1.readInt();
      this.c = var1.readInt();
      this.d = var1.readString();
      this.e = var1.readInt();
      this.f = var1.readInt();
      this.g = (CharSequence)TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(var1);
      this.h = var1.readInt();
      this.i = (CharSequence)TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(var1);
   }

   public BackStackState(n var1, b var2) {
      super();
      c var7 = var2.b;

      int var4;
      int var5;
      for(var5 = 0; var7 != null; var5 = var4) {
         var4 = var5;
         if(var7.i != null) {
            var4 = var5 + var7.i.size();
         }

         var7 = var7.a;
      }

      this.a = new int[var5 + var2.d * 7];
      if(!var2.k) {
         throw new IllegalStateException("Not on back stack");
      } else {
         var7 = var2.b;

         for(var4 = 0; var7 != null; var7 = var7.a) {
            int[] var3 = this.a;
            var5 = var4 + 1;
            var3[var4] = var7.c;
            var3 = this.a;
            int var6 = var5 + 1;
            if(var7.d != null) {
               var4 = var7.d.f;
            } else {
               var4 = -1;
            }

            var3[var5] = var4;
            var3 = this.a;
            var4 = var6 + 1;
            var3[var6] = var7.e;
            var3 = this.a;
            var5 = var4 + 1;
            var3[var4] = var7.f;
            var3 = this.a;
            var4 = var5 + 1;
            var3[var5] = var7.g;
            var3 = this.a;
            var5 = var4 + 1;
            var3[var4] = var7.h;
            if(var7.i != null) {
               var6 = var7.i.size();
               var3 = this.a;
               var4 = var5 + 1;
               var3[var5] = var6;

               for(var5 = 0; var5 < var6; ++var4) {
                  this.a[var4] = ((Fragment)var7.i.get(var5)).f;
                  ++var5;
               }
            } else {
               var3 = this.a;
               var4 = var5 + 1;
               var3[var5] = 0;
            }
         }

         this.b = var2.i;
         this.c = var2.j;
         this.d = var2.m;
         this.e = var2.o;
         this.f = var2.p;
         this.g = var2.q;
         this.h = var2.r;
         this.i = var2.s;
      }
   }

   public b a(n var1) {
      b var3 = new b(var1);
      int var7 = 0;

      for(int var5 = 0; var5 < this.a.length; ++var7) {
         c var2 = new c();
         int[] var4 = this.a;
         int var6 = var5 + 1;
         var2.c = var4[var5];
         if(n.a) {
            Log.v("FragmentManager", "Instantiate " + var3 + " op #" + var7 + " base fragment #" + this.a[var6]);
         }

         var4 = this.a;
         var5 = var6 + 1;
         var6 = var4[var6];
         if(var6 >= 0) {
            var2.d = (Fragment)var1.f.get(var6);
         } else {
            var2.d = null;
         }

         var4 = this.a;
         var6 = var5 + 1;
         var2.e = var4[var5];
         var4 = this.a;
         var5 = var6 + 1;
         var2.f = var4[var6];
         var4 = this.a;
         var6 = var5 + 1;
         var2.g = var4[var5];
         var4 = this.a;
         var5 = var6 + 1;
         var2.h = var4[var6];
         var4 = this.a;
         var6 = var5 + 1;
         int var9 = var4[var5];
         var5 = var6;
         if(var9 > 0) {
            var2.i = new ArrayList(var9);
            int var8 = 0;

            while(true) {
               var5 = var6;
               if(var8 >= var9) {
                  break;
               }

               if(n.a) {
                  Log.v("FragmentManager", "Instantiate " + var3 + " set remove fragment #" + this.a[var6]);
               }

               Fragment var10 = (Fragment)var1.f.get(this.a[var6]);
               var2.i.add(var10);
               ++var8;
               ++var6;
            }
         }

         var3.a(var2);
      }

      var3.i = this.b;
      var3.j = this.c;
      var3.m = this.d;
      var3.o = this.e;
      var3.k = true;
      var3.p = this.f;
      var3.q = this.g;
      var3.r = this.h;
      var3.s = this.i;
      var3.a(1);
      return var3;
   }

   public int describeContents() {
      return 0;
   }

   public void writeToParcel(Parcel var1, int var2) {
      var1.writeIntArray(this.a);
      var1.writeInt(this.b);
      var1.writeInt(this.c);
      var1.writeString(this.d);
      var1.writeInt(this.e);
      var1.writeInt(this.f);
      TextUtils.writeToParcel(this.g, var1, 0);
      var1.writeInt(this.h);
      TextUtils.writeToParcel(this.i, var1, 0);
   }
}
