package android.support.v4.app;

import android.support.v4.app.Fragment;
import android.support.v4.app.c;
import android.support.v4.app.n;
import android.support.v4.app.v;
import android.util.Log;
import java.io.FileDescriptor;
import java.io.PrintWriter;
import java.util.ArrayList;

final class b extends v implements Runnable {
   final n a;
   c b;
   c c;
   int d;
   int e;
   int f;
   int g;
   int h;
   int i;
   int j;
   boolean k;
   boolean l = true;
   String m;
   boolean n;
   int o = -1;
   int p;
   CharSequence q;
   int r;
   CharSequence s;

   public b(n var1) {
      super();
      this.a = var1;
   }

   private void a(int var1, Fragment var2, String var3, int var4) {
      var2.s = this.a;
      if(var3 != null) {
         if(var2.y != null && !var3.equals(var2.y)) {
            throw new IllegalStateException("Can\'t change tag of fragment " + var2 + ": was " + var2.y + " now " + var3);
         }

         var2.y = var3;
      }

      if(var1 != 0) {
         if(var2.w != 0 && var2.w != var1) {
            throw new IllegalStateException("Can\'t change container ID of fragment " + var2 + ": was " + var2.w + " now " + var1);
         }

         var2.w = var1;
         var2.x = var1;
      }

      c var5 = new c();
      var5.c = var4;
      var5.d = var2;
      this.a(var5);
   }

   public int a() {
      return this.a(false);
   }

   int a(boolean var1) {
      if(this.n) {
         throw new IllegalStateException("commit already called");
      } else {
         if(n.a) {
            Log.v("FragmentManager", "Commit: " + this);
            this.a("  ", (FileDescriptor)null, new PrintWriter(new android.support.v4.c.e("FragmentManager")), (String[])null);
         }

         this.n = true;
         if(this.k) {
            this.o = this.a.a(this);
         } else {
            this.o = -1;
         }

         this.a.a((Runnable)this, var1);
         return this.o;
      }
   }

   public v a(int var1, Fragment var2, String var3) {
      this.a(var1, var2, var3, 1);
      return this;
   }

   public v a(Fragment var1) {
      c var2 = new c();
      var2.c = 6;
      var2.d = var1;
      this.a(var2);
      return this;
   }

   void a(int var1) {
      if(this.k) {
         if(n.a) {
            Log.v("FragmentManager", "Bump nesting in " + this + " by " + var1);
         }

         for(c var2 = this.b; var2 != null; var2 = var2.a) {
            Fragment var3;
            if(var2.d != null) {
               var3 = var2.d;
               var3.r += var1;
               if(n.a) {
                  Log.v("FragmentManager", "Bump nesting of " + var2.d + " to " + var2.d.r);
               }
            }

            if(var2.i != null) {
               for(int var4 = var2.i.size() - 1; var4 >= 0; --var4) {
                  var3 = (Fragment)var2.i.get(var4);
                  var3.r += var1;
                  if(n.a) {
                     Log.v("FragmentManager", "Bump nesting of " + var3 + " to " + var3.r);
                  }
               }
            }
         }
      }

   }

   void a(c var1) {
      if(this.b == null) {
         this.c = var1;
         this.b = var1;
      } else {
         var1.b = this.c;
         this.c.a = var1;
         this.c = var1;
      }

      var1.e = this.e;
      var1.f = this.f;
      var1.g = this.g;
      var1.h = this.h;
      ++this.d;
   }

   public void a(String var1, FileDescriptor var2, PrintWriter var3, String[] var4) {
      this.a(var1, var3, true);
   }

   public void a(String var1, PrintWriter var2, boolean var3) {
      if(var3) {
         var2.print(var1);
         var2.print("mName=");
         var2.print(this.m);
         var2.print(" mIndex=");
         var2.print(this.o);
         var2.print(" mCommitted=");
         var2.println(this.n);
         if(this.i != 0) {
            var2.print(var1);
            var2.print("mTransition=#");
            var2.print(Integer.toHexString(this.i));
            var2.print(" mTransitionStyle=#");
            var2.println(Integer.toHexString(this.j));
         }

         if(this.e != 0 || this.f != 0) {
            var2.print(var1);
            var2.print("mEnterAnim=#");
            var2.print(Integer.toHexString(this.e));
            var2.print(" mExitAnim=#");
            var2.println(Integer.toHexString(this.f));
         }

         if(this.g != 0 || this.h != 0) {
            var2.print(var1);
            var2.print("mPopEnterAnim=#");
            var2.print(Integer.toHexString(this.g));
            var2.print(" mPopExitAnim=#");
            var2.println(Integer.toHexString(this.h));
         }

         if(this.p != 0 || this.q != null) {
            var2.print(var1);
            var2.print("mBreadCrumbTitleRes=#");
            var2.print(Integer.toHexString(this.p));
            var2.print(" mBreadCrumbTitleText=");
            var2.println(this.q);
         }

         if(this.r != 0 || this.s != null) {
            var2.print(var1);
            var2.print("mBreadCrumbShortTitleRes=#");
            var2.print(Integer.toHexString(this.r));
            var2.print(" mBreadCrumbShortTitleText=");
            var2.println(this.s);
         }
      }

      if(this.b != null) {
         var2.print(var1);
         var2.println("Operations:");
         String var6 = var1 + "    ";
         c var5 = this.b;

         for(int var7 = 0; var5 != null; ++var7) {
            String var4;
            switch(var5.c) {
            case 0:
               var4 = "NULL";
               break;
            case 1:
               var4 = "ADD";
               break;
            case 2:
               var4 = "REPLACE";
               break;
            case 3:
               var4 = "REMOVE";
               break;
            case 4:
               var4 = "HIDE";
               break;
            case 5:
               var4 = "SHOW";
               break;
            case 6:
               var4 = "DETACH";
               break;
            case 7:
               var4 = "ATTACH";
               break;
            default:
               var4 = "cmd=" + var5.c;
            }

            var2.print(var1);
            var2.print("  Op #");
            var2.print(var7);
            var2.print(": ");
            var2.print(var4);
            var2.print(" ");
            var2.println(var5.d);
            if(var3) {
               if(var5.e != 0 || var5.f != 0) {
                  var2.print(var1);
                  var2.print("enterAnim=#");
                  var2.print(Integer.toHexString(var5.e));
                  var2.print(" exitAnim=#");
                  var2.println(Integer.toHexString(var5.f));
               }

               if(var5.g != 0 || var5.h != 0) {
                  var2.print(var1);
                  var2.print("popEnterAnim=#");
                  var2.print(Integer.toHexString(var5.g));
                  var2.print(" popExitAnim=#");
                  var2.println(Integer.toHexString(var5.h));
               }
            }

            if(var5.i != null && var5.i.size() > 0) {
               for(int var8 = 0; var8 < var5.i.size(); ++var8) {
                  var2.print(var6);
                  if(var5.i.size() == 1) {
                     var2.print("Removed: ");
                  } else {
                     if(var8 == 0) {
                        var2.println("Removed:");
                     }

                     var2.print(var6);
                     var2.print("  #");
                     var2.print(var8);
                     var2.print(": ");
                  }

                  var2.println(var5.i.get(var8));
               }
            }

            var5 = var5.a;
         }
      }

   }

   public v b(Fragment var1) {
      c var2 = new c();
      var2.c = 7;
      var2.d = var1;
      this.a(var2);
      return this;
   }

   public String b() {
      return this.m;
   }

   public void b(boolean var1) {
      if(n.a) {
         Log.v("FragmentManager", "popFromBackStack: " + this);
         this.a("  ", (FileDescriptor)null, new PrintWriter(new android.support.v4.c.e("FragmentManager")), (String[])null);
      }

      this.a(-1);

      for(c var2 = this.c; var2 != null; var2 = var2.b) {
         Fragment var3;
         switch(var2.c) {
         case 1:
            var3 = var2.d;
            var3.G = var2.h;
            this.a.a(var3, n.c(this.i), this.j);
            break;
         case 2:
            var3 = var2.d;
            if(var3 != null) {
               var3.G = var2.h;
               this.a.a(var3, n.c(this.i), this.j);
            }

            if(var2.i != null) {
               for(int var4 = 0; var4 < var2.i.size(); ++var4) {
                  var3 = (Fragment)var2.i.get(var4);
                  var3.G = var2.g;
                  this.a.a(var3, false);
               }
            }
            break;
         case 3:
            var3 = var2.d;
            var3.G = var2.g;
            this.a.a(var3, false);
            break;
         case 4:
            var3 = var2.d;
            var3.G = var2.g;
            this.a.c(var3, n.c(this.i), this.j);
            break;
         case 5:
            var3 = var2.d;
            var3.G = var2.h;
            this.a.b(var3, n.c(this.i), this.j);
            break;
         case 6:
            var3 = var2.d;
            var3.G = var2.g;
            this.a.e(var3, n.c(this.i), this.j);
            break;
         case 7:
            var3 = var2.d;
            var3.G = var2.g;
            this.a.d(var3, n.c(this.i), this.j);
            break;
         default:
            throw new IllegalArgumentException("Unknown cmd: " + var2.c);
         }
      }

      if(var1) {
         this.a.a(this.a.n, n.c(this.i), this.j, true);
      }

      if(this.o >= 0) {
         this.a.b(this.o);
         this.o = -1;
      }

   }

   public void run() {
      if(n.a) {
         Log.v("FragmentManager", "Run: " + this);
      }

      if(this.k && this.o < 0) {
         throw new IllegalStateException("addToBackStack() called after commit()");
      } else {
         this.a(1);

         for(c var2 = this.b; var2 != null; var2 = var2.a) {
            Fragment var1;
            switch(var2.c) {
            case 1:
               var1 = var2.d;
               var1.G = var2.e;
               this.a.a(var1, false);
               break;
            case 2:
               var1 = var2.d;
               Fragment var3;
               if(this.a.g == null) {
                  var3 = var1;
               } else {
                  int var5 = 0;

                  while(true) {
                     var3 = var1;
                     if(var5 >= this.a.g.size()) {
                        break;
                     }

                     Fragment var4 = (Fragment)this.a.g.get(var5);
                     if(n.a) {
                        Log.v("FragmentManager", "OP_REPLACE: adding=" + var1 + " old=" + var4);
                     }

                     label67: {
                        if(var1 != null) {
                           var3 = var1;
                           if(var4.x != var1.x) {
                              break label67;
                           }
                        }

                        if(var4 == var1) {
                           var3 = null;
                           var2.d = null;
                        } else {
                           if(var2.i == null) {
                              var2.i = new ArrayList();
                           }

                           var2.i.add(var4);
                           var4.G = var2.f;
                           if(this.k) {
                              ++var4.r;
                              if(n.a) {
                                 Log.v("FragmentManager", "Bump nesting of " + var4 + " to " + var4.r);
                              }
                           }

                           this.a.a(var4, this.i, this.j);
                           var3 = var1;
                        }
                     }

                     ++var5;
                     var1 = var3;
                  }
               }

               if(var3 != null) {
                  var3.G = var2.e;
                  this.a.a(var3, false);
               }
               break;
            case 3:
               var1 = var2.d;
               var1.G = var2.f;
               this.a.a(var1, this.i, this.j);
               break;
            case 4:
               var1 = var2.d;
               var1.G = var2.f;
               this.a.b(var1, this.i, this.j);
               break;
            case 5:
               var1 = var2.d;
               var1.G = var2.e;
               this.a.c(var1, this.i, this.j);
               break;
            case 6:
               var1 = var2.d;
               var1.G = var2.f;
               this.a.d(var1, this.i, this.j);
               break;
            case 7:
               var1 = var2.d;
               var1.G = var2.e;
               this.a.e(var1, this.i, this.j);
               break;
            default:
               throw new IllegalArgumentException("Unknown cmd: " + var2.c);
            }
         }

         this.a.a(this.a.n, this.i, this.j, true);
         if(this.k) {
            this.a.b(this);
         }

      }
   }

   public String toString() {
      StringBuilder var1 = new StringBuilder(128);
      var1.append("BackStackEntry{");
      var1.append(Integer.toHexString(System.identityHashCode(this)));
      if(this.o >= 0) {
         var1.append(" #");
         var1.append(this.o);
      }

      if(this.m != null) {
         var1.append(" ");
         var1.append(this.m);
      }

      var1.append("}");
      return var1.toString();
   }
}
