package android.support.v4.view;

import android.content.Context;
import android.content.res.Resources.NotFoundException;
import android.database.DataSetObserver;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Parcelable;
import android.os.Build.VERSION;
import android.support.v4.view.ViewPager$SavedState;
import android.support.v4.view.a;
import android.support.v4.view.ae;
import android.support.v4.view.af;
import android.support.v4.view.ak;
import android.support.v4.view.ba;
import android.support.v4.view.bf;
import android.support.v4.view.bg;
import android.support.v4.view.bh;
import android.support.v4.view.bi;
import android.support.v4.view.bj;
import android.support.v4.view.bk;
import android.support.v4.view.bl;
import android.support.v4.view.bm;
import android.support.v4.view.bn;
import android.support.v4.view.bo;
import android.support.v4.view.bp;
import android.support.v4.view.br;
import android.support.v4.view.s;
import android.support.v4.view.z;
import android.util.AttributeSet;
import android.util.Log;
import android.view.FocusFinder;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.SoundEffectConstants;
import android.view.VelocityTracker;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.View.MeasureSpec;
import android.view.ViewGroup.LayoutParams;
import android.view.accessibility.AccessibilityEvent;
import android.view.animation.Interpolator;
import android.widget.Scroller;
import java.lang.reflect.Method;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;

public class ViewPager extends ViewGroup {
   private static final int[] a = new int[]{16842931};
   private static final br af = new br();
   private static final Comparator c = new bf();
   private static final Interpolator d = new bg();
   private boolean A;
   private boolean B;
   private int C;
   private int D;
   private int E;
   private float F;
   private float G;
   private float H;
   private float I;
   private int J = -1;
   private VelocityTracker K;
   private int L;
   private int M;
   private int N;
   private int O;
   private boolean P;
   private android.support.v4.widget.e Q;
   private android.support.v4.widget.e R;
   private boolean S = true;
   private boolean T = false;
   private boolean U;
   private int V;
   private bn W;
   private bn Z;
   private bm aa;
   private bo ab;
   private Method ac;
   private int ad;
   private ArrayList ae;
   private final Runnable ag = new bh(this);
   private int ah = 0;
   private int b;
   private final ArrayList e = new ArrayList();
   private final bj f = new bj();
   private final Rect g = new Rect();
   private ae h;
   private int i;
   private int j = -1;
   private Parcelable k = null;
   private ClassLoader l = null;
   private Scroller m;
   private bp n;
   private int o;
   private Drawable p;
   private int q;
   private int r;
   private float s = -3.4028235E38F;
   private float t = Float.MAX_VALUE;
   private int u;
   private int v;
   private boolean w;
   private boolean x;
   private boolean y;
   private int z = 1;

   public ViewPager(Context var1) {
      super(var1);
      this.a();
   }

   public ViewPager(Context var1, AttributeSet var2) {
      super(var1, var2);
      this.a();
   }

   private int a(int var1, float var2, int var3, int var4) {
      if(Math.abs(var4) > this.N && Math.abs(var3) > this.L) {
         if(var3 <= 0) {
            ++var1;
         }
      } else {
         float var5;
         if(var1 >= this.i) {
            var5 = 0.4F;
         } else {
            var5 = 0.6F;
         }

         var1 = (int)(var5 + (float)var1 + var2);
      }

      var3 = var1;
      if(this.e.size() > 0) {
         bj var6 = (bj)this.e.get(0);
         bj var7 = (bj)this.e.get(this.e.size() - 1);
         var3 = Math.max(var6.b, Math.min(var1, var7.b));
      }

      return var3;
   }

   private Rect a(Rect var1, View var2) {
      if(var1 == null) {
         var1 = new Rect();
      }

      if(var2 == null) {
         var1.set(0, 0, 0, 0);
      } else {
         var1.left = var2.getLeft();
         var1.right = var2.getRight();
         var1.top = var2.getTop();
         var1.bottom = var2.getBottom();

         ViewGroup var4;
         for(ViewParent var3 = var2.getParent(); var3 instanceof ViewGroup && var3 != this; var3 = var4.getParent()) {
            var4 = (ViewGroup)var3;
            var1.left += var4.getLeft();
            var1.right += var4.getRight();
            var1.top += var4.getTop();
            var1.bottom += var4.getBottom();
         }
      }

      return var1;
   }

   // $FF: synthetic method
   static ae a(ViewPager var0) {
      return var0.h;
   }

   private void a(int var1, int var2, int var3, int var4) {
      float var5;
      bj var6;
      if(var2 > 0 && !this.e.isEmpty()) {
         int var10 = this.getPaddingLeft();
         int var8 = this.getPaddingRight();
         int var9 = this.getPaddingLeft();
         int var7 = this.getPaddingRight();
         var5 = (float)this.getScrollX() / (float)(var2 - var9 - var7 + var4);
         var4 = (int)((float)(var1 - var10 - var8 + var3) * var5);
         this.scrollTo(var4, this.getScrollY());
         if(!this.m.isFinished()) {
            var3 = this.m.getDuration();
            var2 = this.m.timePassed();
            var6 = this.b(this.i);
            this.m.startScroll(var4, 0, (int)(var6.e * (float)var1), 0, var3 - var2);
         }
      } else {
         var6 = this.b(this.i);
         if(var6 != null) {
            var5 = Math.min(var6.e, this.t);
         } else {
            var5 = 0.0F;
         }

         var1 = (int)(var5 * (float)(var1 - this.getPaddingLeft() - this.getPaddingRight()));
         if(var1 != this.getScrollX()) {
            this.a(false);
            this.scrollTo(var1, this.getScrollY());
         }
      }

   }

   private void a(int var1, boolean var2, int var3, boolean var4) {
      bj var6 = this.b(var1);
      int var7;
      if(var6 != null) {
         float var5 = (float)this.getClientWidth();
         var7 = (int)(Math.max(this.s, Math.min(var6.e, this.t)) * var5);
      } else {
         var7 = 0;
      }

      if(var2) {
         this.a(var7, 0, var3);
         if(var4 && this.W != null) {
            this.W.a(var1);
         }

         if(var4 && this.Z != null) {
            this.Z.a(var1);
         }
      } else {
         if(var4 && this.W != null) {
            this.W.a(var1);
         }

         if(var4 && this.Z != null) {
            this.Z.a(var1);
         }

         this.a(false);
         this.scrollTo(var7, 0);
         this.d(var7);
      }

   }

   // $FF: synthetic method
   static void a(ViewPager var0, int var1) {
      var0.setScrollState(var1);
   }

   private void a(bj var1, int var2, bj var3) {
      int var10 = this.h.a();
      int var7 = this.getClientWidth();
      float var5;
      if(var7 > 0) {
         var5 = (float)this.o / (float)var7;
      } else {
         var5 = 0.0F;
      }

      float var4;
      float var6;
      int var8;
      int var9;
      if(var3 != null) {
         var7 = var3.b;
         if(var7 < var1.b) {
            var4 = var3.e + var3.d + var5;
            ++var7;

            for(var8 = 0; var7 <= var1.b && var8 < this.e.size(); var7 = var9 + 1) {
               var3 = (bj)this.e.get(var8);

               while(true) {
                  var9 = var7;
                  var6 = var4;
                  if(var7 <= var3.b) {
                     break;
                  }

                  var9 = var7;
                  var6 = var4;
                  if(var8 >= this.e.size() - 1) {
                     break;
                  }

                  ++var8;
                  var3 = (bj)this.e.get(var8);
               }

               while(var9 < var3.b) {
                  var6 += this.h.a(var9) + var5;
                  ++var9;
               }

               var3.e = var6;
               var4 = var6 + var3.d + var5;
            }
         } else if(var7 > var1.b) {
            var8 = this.e.size() - 1;
            var4 = var3.e;
            --var7;

            while(var7 >= var1.b && var8 >= 0) {
               var3 = (bj)this.e.get(var8);

               while(true) {
                  var9 = var7;
                  var6 = var4;
                  if(var7 >= var3.b) {
                     break;
                  }

                  var9 = var7;
                  var6 = var4;
                  if(var8 <= 0) {
                     break;
                  }

                  --var8;
                  var3 = (bj)this.e.get(var8);
               }

               while(var9 > var3.b) {
                  var6 -= this.h.a(var9) + var5;
                  --var9;
               }

               var4 = var6 - (var3.d + var5);
               var3.e = var4;
               var7 = var9 - 1;
            }
         }
      }

      var9 = this.e.size();
      var6 = var1.e;
      var7 = var1.b - 1;
      if(var1.b == 0) {
         var4 = var1.e;
      } else {
         var4 = -3.4028235E38F;
      }

      this.s = var4;
      if(var1.b == var10 - 1) {
         var4 = var1.e + var1.d - 1.0F;
      } else {
         var4 = Float.MAX_VALUE;
      }

      this.t = var4;
      var8 = var2 - 1;

      for(var4 = var6; var8 >= 0; --var8) {
         for(var3 = (bj)this.e.get(var8); var7 > var3.b; --var7) {
            var4 -= this.h.a(var7) + var5;
         }

         var4 -= var3.d + var5;
         var3.e = var4;
         if(var3.b == 0) {
            this.s = var4;
         }

         --var7;
      }

      var4 = var1.e + var1.d + var5;
      var8 = var1.b + 1;
      var7 = var2 + 1;

      for(var2 = var8; var7 < var9; ++var7) {
         for(var1 = (bj)this.e.get(var7); var2 < var1.b; ++var2) {
            var4 += this.h.a(var2) + var5;
         }

         if(var1.b == var10 - 1) {
            this.t = var1.d + var4 - 1.0F;
         }

         var1.e = var4;
         var4 += var1.d + var5;
         ++var2;
      }

      this.T = false;
   }

   private void a(MotionEvent var1) {
      int var2 = z.b(var1);
      if(z.b(var1, var2) == this.J) {
         byte var3;
         if(var2 == 0) {
            var3 = 1;
         } else {
            var3 = 0;
         }

         this.F = z.c(var1, var3);
         this.J = z.b(var1, var3);
         if(this.K != null) {
            this.K.clear();
         }
      }

   }

   private void a(boolean var1) {
      boolean var3;
      if(this.ah == 2) {
         var3 = true;
      } else {
         var3 = false;
      }

      if(var3) {
         this.setScrollingCacheEnabled(false);
         this.m.abortAnimation();
         int var6 = this.getScrollX();
         int var4 = this.getScrollY();
         int var7 = this.m.getCurrX();
         int var5 = this.m.getCurrY();
         if(var6 != var7 || var4 != var5) {
            this.scrollTo(var7, var5);
         }
      }

      this.y = false;
      byte var10 = 0;
      boolean var9 = var3;

      for(int var8 = var10; var8 < this.e.size(); ++var8) {
         bj var2 = (bj)this.e.get(var8);
         if(var2.c) {
            var2.c = false;
            var9 = true;
         }
      }

      if(var9) {
         if(var1) {
            ak.a(this, (Runnable)this.ag);
         } else {
            this.ag.run();
         }
      }

   }

   private boolean a(float var1, float var2) {
      boolean var3;
      if((var1 >= (float)this.D || var2 <= 0.0F) && (var1 <= (float)(this.getWidth() - this.D) || var2 >= 0.0F)) {
         var3 = false;
      } else {
         var3 = true;
      }

      return var3;
   }

   // $FF: synthetic method
   static int b(ViewPager var0) {
      return var0.i;
   }

   private void b(boolean var1) {
      int var4 = this.getChildCount();

      for(int var2 = 0; var2 < var4; ++var2) {
         byte var3;
         if(var1) {
            var3 = 2;
         } else {
            var3 = 0;
         }

         ak.a(this.getChildAt(var2), var3, (Paint)null);
      }

   }

   private boolean b(float var1) {
      boolean var8 = true;
      boolean var11 = false;
      boolean var10 = false;
      float var2 = this.F;
      this.F = var1;
      float var3 = (float)this.getScrollX() + (var2 - var1);
      int var9 = this.getClientWidth();
      var1 = (float)var9 * this.s;
      float var4 = (float)var9;
      var2 = this.t;
      bj var5 = (bj)this.e.get(0);
      bj var6 = (bj)this.e.get(this.e.size() - 1);
      boolean var7;
      if(var5.b != 0) {
         var1 = var5.e * (float)var9;
         var7 = false;
      } else {
         var7 = true;
      }

      if(var6.b != this.h.a() - 1) {
         var2 = var6.e * (float)var9;
         var8 = false;
      } else {
         var2 = var4 * var2;
      }

      if(var3 < var1) {
         var2 = var1;
         if(var7) {
            var10 = this.Q.a(Math.abs(var1 - var3) / (float)var9);
            var2 = var1;
         }
      } else if(var3 > var2) {
         var10 = var11;
         if(var8) {
            var10 = this.R.a(Math.abs(var3 - var2) / (float)var9);
         }
      } else {
         var2 = var3;
      }

      this.F += var2 - (float)((int)var2);
      this.scrollTo((int)var2, this.getScrollY());
      this.d((int)var2);
      return var10;
   }

   private void c(boolean var1) {
      ViewParent var2 = this.getParent();
      if(var2 != null) {
         var2.requestDisallowInterceptTouchEvent(var1);
      }

   }

   private boolean d(int var1) {
      boolean var7 = false;
      if(this.e.size() == 0) {
         this.U = false;
         this.a(0, 0.0F, 0);
         if(!this.U) {
            throw new IllegalStateException("onPageScrolled did not call superclass implementation");
         }
      } else {
         bj var3 = this.i();
         int var6 = this.getClientWidth();
         int var5 = this.o;
         float var2 = (float)this.o / (float)var6;
         int var4 = var3.b;
         var2 = ((float)var1 / (float)var6 - var3.e) / (var3.d + var2);
         var1 = (int)((float)(var5 + var6) * var2);
         this.U = false;
         this.a(var4, var2, var1);
         if(!this.U) {
            throw new IllegalStateException("onPageScrolled did not call superclass implementation");
         }

         var7 = true;
      }

      return var7;
   }

   // $FF: synthetic method
   static int[] f() {
      return a;
   }

   private void g() {
      int var2;
      for(int var1 = 0; var1 < this.getChildCount(); var1 = var2 + 1) {
         var2 = var1;
         if(!((bk)this.getChildAt(var1).getLayoutParams()).a) {
            this.removeViewAt(var1);
            var2 = var1 - 1;
         }
      }

   }

   private int getClientWidth() {
      return this.getMeasuredWidth() - this.getPaddingLeft() - this.getPaddingRight();
   }

   private void h() {
      if(this.ad != 0) {
         if(this.ae == null) {
            this.ae = new ArrayList();
         } else {
            this.ae.clear();
         }

         int var3 = this.getChildCount();

         for(int var2 = 0; var2 < var3; ++var2) {
            View var1 = this.getChildAt(var2);
            this.ae.add(var1);
         }

         Collections.sort(this.ae, af);
      }

   }

   private bj i() {
      int var8 = this.getClientWidth();
      float var1;
      if(var8 > 0) {
         var1 = (float)this.getScrollX() / (float)var8;
      } else {
         var1 = 0.0F;
      }

      float var2;
      if(var8 > 0) {
         var2 = (float)this.o / (float)var8;
      } else {
         var2 = 0.0F;
      }

      float var4 = 0.0F;
      float var3 = 0.0F;
      int var10 = -1;
      var8 = 0;
      boolean var9 = true;
      bj var6 = null;

      bj var7;
      while(true) {
         var7 = var6;
         if(var8 >= this.e.size()) {
            break;
         }

         bj var5 = (bj)this.e.get(var8);
         if(!var9 && var5.b != var10 + 1) {
            var5 = this.f;
            var5.e = var4 + var3 + var2;
            var5.b = var10 + 1;
            var5.d = this.h.a(var5.b);
            --var8;
         }

         var3 = var5.e;
         var4 = var5.d;
         if(!var9) {
            var7 = var6;
            if(var1 < var3) {
               break;
            }
         }

         if(var1 < var4 + var3 + var2 || var8 == this.e.size() - 1) {
            var7 = var5;
            break;
         }

         var10 = var5.b;
         var4 = var5.d;
         var9 = false;
         ++var8;
         var6 = var5;
      }

      return var7;
   }

   private void j() {
      this.A = false;
      this.B = false;
      if(this.K != null) {
         this.K.recycle();
         this.K = null;
      }

   }

   private void setScrollState(int var1) {
      if(this.ah != var1) {
         this.ah = var1;
         if(this.ab != null) {
            boolean var2;
            if(var1 != 0) {
               var2 = true;
            } else {
               var2 = false;
            }

            this.b(var2);
         }

         if(this.W != null) {
            this.W.b(var1);
         }
      }

   }

   private void setScrollingCacheEnabled(boolean var1) {
      if(this.x != var1) {
         this.x = var1;
      }

   }

   float a(float var1) {
      return (float)Math.sin((double)((float)((double)(var1 - 0.5F) * 0.4712389167638204D)));
   }

   bj a(int var1, int var2) {
      bj var3 = new bj();
      var3.b = var1;
      var3.a = this.h.a((ViewGroup)this, var1);
      var3.d = this.h.a(var1);
      if(var2 >= 0 && var2 < this.e.size()) {
         this.e.add(var2, var3);
      } else {
         this.e.add(var3);
      }

      return var3;
   }

   bj a(View var1) {
      int var3 = 0;

      bj var4;
      while(true) {
         if(var3 >= this.e.size()) {
            var4 = null;
            break;
         }

         bj var2 = (bj)this.e.get(var3);
         if(this.h.a(var1, var2.a)) {
            var4 = var2;
            break;
         }

         ++var3;
      }

      return var4;
   }

   void a() {
      this.setWillNotDraw(false);
      this.setDescendantFocusability(262144);
      this.setFocusable(true);
      Context var3 = this.getContext();
      this.m = new Scroller(var3, d);
      ViewConfiguration var2 = ViewConfiguration.get(var3);
      float var1 = var3.getResources().getDisplayMetrics().density;
      this.E = ba.a(var2);
      this.L = (int)(400.0F * var1);
      this.M = var2.getScaledMaximumFlingVelocity();
      this.Q = new android.support.v4.widget.e(var3);
      this.R = new android.support.v4.widget.e(var3);
      this.N = (int)(25.0F * var1);
      this.O = (int)(2.0F * var1);
      this.C = (int)(16.0F * var1);
      ak.a(this, (a)(new bl(this)));
      if(ak.c(this) == 0) {
         ak.b(this, 1);
      }

   }

   void a(int var1) {
      bj var6;
      byte var10;
      if(this.i != var1) {
         byte var9;
         if(this.i < var1) {
            var9 = 66;
         } else {
            var9 = 17;
         }

         var6 = this.b(this.i);
         this.i = var1;
         var10 = var9;
      } else {
         var6 = null;
         var10 = 2;
      }

      if(this.h == null) {
         this.h();
      } else if(this.y) {
         this.h();
      } else if(this.getWindowToken() != null) {
         this.h.a((ViewGroup)this);
         var1 = this.z;
         int var16 = Math.max(0, this.i - var1);
         int var14 = this.h.a();
         int var15 = Math.min(var14 - 1, var1 + this.i);
         if(var14 != this.b) {
            String var25;
            try {
               var25 = this.getResources().getResourceName(this.getId());
            } catch (NotFoundException var18) {
               var25 = Integer.toHexString(this.getId());
            }

            throw new IllegalStateException("The application\'s PagerAdapter changed the adapter\'s contents without calling PagerAdapter#notifyDataSetChanged! Expected adapter item count: " + this.b + ", found: " + var14 + " Pager id: " + var25 + " Pager class: " + this.getClass() + " Problematic adapter: " + this.h.getClass());
         }

         bj var5;
         label216: {
            for(var1 = 0; var1 < this.e.size(); ++var1) {
               var5 = (bj)this.e.get(var1);
               if(var5.b >= this.i) {
                  if(var5.b == this.i) {
                     break label216;
                  }
                  break;
               }
            }

            var5 = null;
         }

         bj var7;
         if(var5 == null && var14 > 0) {
            var7 = this.a(this.i, var1);
         } else {
            var7 = var5;
         }

         int var21;
         if(var7 != null) {
            int var13 = var1 - 1;
            if(var13 >= 0) {
               var5 = (bj)this.e.get(var13);
            } else {
               var5 = null;
            }

            int var17 = this.getClientWidth();
            float var3;
            if(var17 <= 0) {
               var3 = 0.0F;
            } else {
               var3 = 2.0F - var7.d + (float)this.getPaddingLeft() / (float)var17;
            }

            var21 = this.i;
            float var4 = 0.0F;
            int var12 = var21 - 1;
            int var11 = var1;

            float var2;
            for(bj var8 = var5; var12 >= 0; var11 = var21) {
               if(var4 >= var3 && var12 < var16) {
                  if(var8 == null) {
                     break;
                  }

                  var5 = var8;
                  var1 = var13;
                  var2 = var4;
                  var21 = var11;
                  if(var12 == var8.b) {
                     var5 = var8;
                     var1 = var13;
                     var2 = var4;
                     var21 = var11;
                     if(!var8.c) {
                        this.e.remove(var13);
                        this.h.a((ViewGroup)this, var12, var8.a);
                        var1 = var13 - 1;
                        var21 = var11 - 1;
                        if(var1 >= 0) {
                           var5 = (bj)this.e.get(var1);
                           var2 = var4;
                        } else {
                           var5 = null;
                           var2 = var4;
                        }
                     }
                  }
               } else if(var8 != null && var12 == var8.b) {
                  var2 = var4 + var8.d;
                  var1 = var13 - 1;
                  if(var1 >= 0) {
                     var5 = (bj)this.e.get(var1);
                     var21 = var11;
                  } else {
                     var5 = null;
                     var21 = var11;
                  }
               } else {
                  var2 = var4 + this.a(var12, var13 + 1).d;
                  var21 = var11 + 1;
                  if(var13 >= 0) {
                     var5 = (bj)this.e.get(var13);
                     var1 = var13;
                  } else {
                     var5 = null;
                     var1 = var13;
                  }
               }

               --var12;
               var8 = var5;
               var13 = var1;
               var4 = var2;
            }

            var2 = var7.d;
            var1 = var11 + 1;
            if(var2 < 2.0F) {
               if(var1 < this.e.size()) {
                  var5 = (bj)this.e.get(var1);
               } else {
                  var5 = null;
               }

               if(var17 <= 0) {
                  var3 = 0.0F;
               } else {
                  var3 = (float)this.getPaddingRight() / (float)var17 + 2.0F;
               }

               var21 = this.i;
               ++var21;

               for(; var21 < var14; ++var21) {
                  if(var2 >= var3 && var21 > var15) {
                     if(var5 == null) {
                        break;
                     }

                     if(var21 == var5.b && !var5.c) {
                        this.e.remove(var1);
                        this.h.a((ViewGroup)this, var21, var5.a);
                        if(var1 < this.e.size()) {
                           var5 = (bj)this.e.get(var1);
                        } else {
                           var5 = null;
                        }
                     }
                  } else if(var5 != null && var21 == var5.b) {
                     var4 = var5.d;
                     ++var1;
                     if(var1 < this.e.size()) {
                        var5 = (bj)this.e.get(var1);
                     } else {
                        var5 = null;
                     }

                     var2 += var4;
                  } else {
                     var5 = this.a(var21, var1);
                     ++var1;
                     var4 = var5.d;
                     if(var1 < this.e.size()) {
                        var5 = (bj)this.e.get(var1);
                     } else {
                        var5 = null;
                     }

                     var2 += var4;
                  }
               }
            }

            this.a(var7, var11, var6);
         }

         ae var20 = this.h;
         var1 = this.i;
         Object var22;
         if(var7 != null) {
            var22 = var7.a;
         } else {
            var22 = null;
         }

         var20.b((ViewGroup)this, var1, var22);
         this.h.b((ViewGroup)this);
         var21 = this.getChildCount();

         for(var1 = 0; var1 < var21; ++var1) {
            View var19 = this.getChildAt(var1);
            bk var24 = (bk)var19.getLayoutParams();
            var24.f = var1;
            if(!var24.a && var24.c == 0.0F) {
               var6 = this.a(var19);
               if(var6 != null) {
                  var24.c = var6.d;
                  var24.e = var6.b;
               }
            }
         }

         this.h();
         if(this.hasFocus()) {
            View var23 = this.findFocus();
            if(var23 != null) {
               var5 = this.b(var23);
            } else {
               var5 = null;
            }

            if(var5 == null || var5.b != this.i) {
               for(var1 = 0; var1 < this.getChildCount(); ++var1) {
                  var23 = this.getChildAt(var1);
                  var6 = this.a(var23);
                  if(var6 != null && var6.b == this.i && var23.requestFocus(var10)) {
                     break;
                  }
               }
            }
         }
      }

   }

   protected void a(int var1, float var2, int var3) {
      View var4;
      int var6;
      if(this.V > 0) {
         int var13 = this.getScrollX();
         var6 = this.getPaddingLeft();
         int var7 = this.getPaddingRight();
         int var12 = this.getWidth();
         int var11 = this.getChildCount();

         int var9;
         for(int var10 = 0; var10 < var11; var7 = var9) {
            var4 = this.getChildAt(var10);
            bk var5 = (bk)var4.getLayoutParams();
            int var8;
            if(!var5.a) {
               var8 = var6;
               var9 = var7;
            } else {
               int var14;
               switch(var5.b & 7) {
               case 1:
                  var8 = Math.max((var12 - var4.getMeasuredWidth()) / 2, var6);
                  var9 = var6;
                  var6 = var7;
                  var7 = var9;
                  break;
               case 2:
               case 4:
               default:
                  var8 = var6;
                  var9 = var6;
                  var6 = var7;
                  var7 = var9;
                  break;
               case 3:
                  var8 = var4.getWidth();
                  var9 = var8 + var6;
                  var8 = var6;
                  var6 = var7;
                  var7 = var9;
                  break;
               case 5:
                  var8 = var12 - var7 - var4.getMeasuredWidth();
                  var14 = var4.getMeasuredWidth();
                  var9 = var6;
                  var6 = var7 + var14;
                  var7 = var9;
               }

               var14 = var8 + var13 - var4.getLeft();
               var9 = var6;
               var8 = var7;
               if(var14 != 0) {
                  var4.offsetLeftAndRight(var14);
                  var9 = var6;
                  var8 = var7;
               }
            }

            ++var10;
            var6 = var8;
         }
      }

      if(this.W != null) {
         this.W.a(var1, var2, var3);
      }

      if(this.Z != null) {
         this.Z.a(var1, var2, var3);
      }

      if(this.ab != null) {
         var3 = this.getScrollX();
         var6 = this.getChildCount();

         for(var1 = 0; var1 < var6; ++var1) {
            var4 = this.getChildAt(var1);
            if(!((bk)var4.getLayoutParams()).a) {
               var2 = (float)(var4.getLeft() - var3) / (float)this.getClientWidth();
               this.ab.a(var4, var2);
            }
         }
      }

      this.U = true;
   }

   void a(int var1, int var2, int var3) {
      if(this.getChildCount() == 0) {
         this.setScrollingCacheEnabled(false);
      } else {
         int var8 = this.getScrollX();
         int var7 = this.getScrollY();
         int var9 = var1 - var8;
         var2 -= var7;
         if(var9 == 0 && var2 == 0) {
            this.a(false);
            this.c();
            this.setScrollState(0);
         } else {
            this.setScrollingCacheEnabled(true);
            this.setScrollState(2);
            var1 = this.getClientWidth();
            int var10 = var1 / 2;
            float var6 = Math.min(1.0F, (float)Math.abs(var9) * 1.0F / (float)var1);
            float var5 = (float)var10;
            float var4 = (float)var10;
            var6 = this.a(var6);
            var3 = Math.abs(var3);
            if(var3 > 0) {
               var1 = Math.round(1000.0F * Math.abs((var4 * var6 + var5) / (float)var3)) * 4;
            } else {
               var4 = (float)var1;
               var5 = this.h.a(this.i);
               var1 = (int)(((float)Math.abs(var9) / (var4 * var5 + (float)this.o) + 1.0F) * 100.0F);
            }

            var1 = Math.min(var1, 600);
            this.m.startScroll(var8, var7, var9, var2, var1);
            ak.b(this);
         }
      }

   }

   public void a(int var1, boolean var2) {
      this.y = false;
      this.a(var1, var2, false);
   }

   void a(int var1, boolean var2, boolean var3) {
      this.a(var1, var2, var3, 0);
   }

   void a(int var1, boolean var2, boolean var3, int var4) {
      boolean var6 = false;
      if(this.h != null && this.h.a() > 0) {
         if(!var3 && this.i == var1 && this.e.size() != 0) {
            this.setScrollingCacheEnabled(false);
         } else {
            int var5;
            if(var1 < 0) {
               var5 = 0;
            } else {
               var5 = var1;
               if(var1 >= this.h.a()) {
                  var5 = this.h.a() - 1;
               }
            }

            var1 = this.z;
            if(var5 > this.i + var1 || var5 < this.i - var1) {
               for(var1 = 0; var1 < this.e.size(); ++var1) {
                  ((bj)this.e.get(var1)).c = true;
               }
            }

            var3 = var6;
            if(this.i != var5) {
               var3 = true;
            }

            if(this.S) {
               this.i = var5;
               if(var3 && this.W != null) {
                  this.W.a(var5);
               }

               if(var3 && this.Z != null) {
                  this.Z.a(var5);
               }

               this.requestLayout();
            } else {
               this.a(var5);
               this.a(var5, var2, var4, var3);
            }
         }
      } else {
         this.setScrollingCacheEnabled(false);
      }

   }

   public boolean a(KeyEvent var1) {
      boolean var3 = false;
      boolean var2 = var3;
      if(var1.getAction() == 0) {
         switch(var1.getKeyCode()) {
         case 21:
            var2 = this.c(17);
            break;
         case 22:
            var2 = this.c(66);
            break;
         case 61:
            var2 = var3;
            if(VERSION.SDK_INT >= 11) {
               if(s.a(var1)) {
                  var2 = this.c(2);
               } else {
                  var2 = var3;
                  if(s.a(var1, 1)) {
                     var2 = this.c(1);
                  }
               }
            }
            break;
         default:
            var2 = var3;
         }
      }

      return var2;
   }

   protected boolean a(View var1, boolean var2, int var3, int var4, int var5) {
      boolean var11 = true;
      if(var1 instanceof ViewGroup) {
         ViewGroup var7 = (ViewGroup)var1;
         int var10 = var1.getScrollX();
         int var9 = var1.getScrollY();

         for(int var8 = var7.getChildCount() - 1; var8 >= 0; --var8) {
            View var6 = var7.getChildAt(var8);
            if(var4 + var10 >= var6.getLeft() && var4 + var10 < var6.getRight() && var5 + var9 >= var6.getTop() && var5 + var9 < var6.getBottom() && this.a(var6, true, var3, var4 + var10 - var6.getLeft(), var5 + var9 - var6.getTop())) {
               var2 = var11;
               return var2;
            }
         }
      }

      if(var2) {
         var2 = var11;
         if(ak.a(var1, -var3)) {
            return var2;
         }
      }

      var2 = false;
      return var2;
   }

   public void addFocusables(ArrayList var1, int var2, int var3) {
      int var7 = var1.size();
      int var8 = this.getDescendantFocusability();
      if(var8 != 393216) {
         for(int var6 = 0; var6 < this.getChildCount(); ++var6) {
            View var5 = this.getChildAt(var6);
            if(var5.getVisibility() == 0) {
               bj var4 = this.a(var5);
               if(var4 != null && var4.b == this.i) {
                  var5.addFocusables(var1, var2, var3);
               }
            }
         }
      }

      if((var8 != 262144 || var7 == var1.size()) && this.isFocusable() && ((var3 & 1) != 1 || !this.isInTouchMode() || this.isFocusableInTouchMode()) && var1 != null) {
         var1.add(this);
      }

   }

   public void addTouchables(ArrayList var1) {
      for(int var4 = 0; var4 < this.getChildCount(); ++var4) {
         View var3 = this.getChildAt(var4);
         if(var3.getVisibility() == 0) {
            bj var2 = this.a(var3);
            if(var2 != null && var2.b == this.i) {
               var3.addTouchables(var1);
            }
         }
      }

   }

   public void addView(View var1, int var2, LayoutParams var3) {
      if(!this.checkLayoutParams(var3)) {
         var3 = this.generateLayoutParams(var3);
      }

      bk var4 = (bk)var3;
      var4.a |= var1 instanceof bi;
      if(this.w) {
         if(var4 != null && var4.a) {
            throw new IllegalStateException("Cannot add pager decor view during layout");
         }

         var4.d = true;
         this.addViewInLayout(var1, var2, var3);
      } else {
         super.addView(var1, var2, var3);
      }

   }

   bj b(int var1) {
      int var3 = 0;

      bj var2;
      while(true) {
         if(var3 >= this.e.size()) {
            var2 = null;
            break;
         }

         var2 = (bj)this.e.get(var3);
         if(var2.b == var1) {
            break;
         }

         ++var3;
      }

      return var2;
   }

   bj b(View var1) {
      while(true) {
         ViewParent var2 = var1.getParent();
         bj var3;
         if(var2 != this) {
            if(var2 != null && var2 instanceof View) {
               var1 = (View)var2;
               continue;
            }

            var3 = null;
         } else {
            var3 = this.a(var1);
         }

         return var3;
      }
   }

   void b() {
      int var8 = this.h.a();
      this.b = var8;
      boolean var2;
      if(this.e.size() < this.z * 2 + 1 && this.e.size() < var8) {
         var2 = true;
      } else {
         var2 = false;
      }

      int var3 = this.i;
      boolean var4 = false;
      byte var6 = 0;
      boolean var5 = var2;
      int var10 = var3;
      boolean var11 = var4;

      int var12;
      for(var12 = var6; var12 < this.e.size(); var5 = var4) {
         bj var1 = (bj)this.e.get(var12);
         int var14 = this.h.a(var1.a);
         int var13;
         if(var14 == -1) {
            var4 = var5;
            var3 = var10;
            var2 = var11;
            var13 = var12;
         } else if(var14 == -2) {
            this.e.remove(var12);
            var13 = var12 - 1;
            var4 = var11;
            if(!var11) {
               this.h.a((ViewGroup)this);
               var4 = true;
            }

            this.h.a((ViewGroup)this, var1.b, var1.a);
            if(this.i == var1.b) {
               var3 = Math.max(0, Math.min(this.i, var8 - 1));
               var2 = var4;
               var4 = true;
            } else {
               var3 = var10;
               boolean var15 = true;
               var2 = var4;
               var4 = var15;
            }
         } else if(var1.b != var14) {
            if(var1.b == this.i) {
               var10 = var14;
            }

            var1.b = var14;
            boolean var7 = true;
            var13 = var12;
            var2 = var11;
            var3 = var10;
            var4 = var7;
         } else {
            var3 = var10;
            var13 = var12;
            var2 = var11;
            var4 = var5;
         }

         var12 = var13 + 1;
         var11 = var2;
         var10 = var3;
      }

      if(var11) {
         this.h.b((ViewGroup)this);
      }

      Collections.sort(this.e, c);
      if(var5) {
         var12 = this.getChildCount();

         for(var3 = 0; var3 < var12; ++var3) {
            bk var9 = (bk)this.getChildAt(var3).getLayoutParams();
            if(!var9.a) {
               var9.c = 0.0F;
            }
         }

         this.a(var10, false, true);
         this.requestLayout();
      }

   }

   void c() {
      this.a(this.i);
   }

   public boolean c(int var1) {
      View var3 = this.findFocus();
      View var2;
      if(var3 == this) {
         var2 = null;
      } else {
         label86: {
            if(var3 != null) {
               ViewParent var8 = var3.getParent();

               boolean var5;
               while(true) {
                  if(!(var8 instanceof ViewGroup)) {
                     var5 = false;
                     break;
                  }

                  if(var8 == this) {
                     var5 = true;
                     break;
                  }

                  var8 = var8.getParent();
               }

               if(!var5) {
                  StringBuilder var4 = new StringBuilder();
                  var4.append(var3.getClass().getSimpleName());

                  for(var8 = var3.getParent(); var8 instanceof ViewGroup; var8 = var8.getParent()) {
                     var4.append(" => ").append(var8.getClass().getSimpleName());
                  }

                  Log.e("ViewPager", "arrowScroll tried to find focus based on non-child current focused view " + var4.toString());
                  var2 = null;
                  break label86;
               }
            }

            var2 = var3;
         }
      }

      boolean var7;
      label95: {
         var3 = FocusFinder.getInstance().findNextFocus(this, var2, var1);
         if(var3 != null && var3 != var2) {
            int var6;
            int var9;
            if(var1 == 17) {
               var6 = this.a(this.g, var3).left;
               var9 = this.a(this.g, var2).left;
               if(var2 != null && var6 >= var9) {
                  var7 = this.d();
               } else {
                  var7 = var3.requestFocus();
               }
               break label95;
            }

            if(var1 == 66) {
               var6 = this.a(this.g, var3).left;
               var9 = this.a(this.g, var2).left;
               if(var2 != null && var6 <= var9) {
                  var7 = this.e();
               } else {
                  var7 = var3.requestFocus();
               }
               break label95;
            }
         } else {
            if(var1 == 17 || var1 == 1) {
               var7 = this.d();
               break label95;
            }

            if(var1 == 66 || var1 == 2) {
               var7 = this.e();
               break label95;
            }
         }

         var7 = false;
      }

      if(var7) {
         this.playSoundEffect(SoundEffectConstants.getContantForFocusDirection(var1));
      }

      return var7;
   }

   public boolean canScrollHorizontally(int var1) {
      boolean var5 = true;
      boolean var6 = true;
      boolean var4 = false;
      if(this.h != null) {
         int var2 = this.getClientWidth();
         int var3 = this.getScrollX();
         if(var1 < 0) {
            if(var3 > (int)((float)var2 * this.s)) {
               var4 = var6;
            } else {
               var4 = false;
            }
         } else if(var1 > 0) {
            if(var3 < (int)((float)var2 * this.t)) {
               var4 = var5;
            } else {
               var4 = false;
            }
         }
      }

      return var4;
   }

   protected boolean checkLayoutParams(LayoutParams var1) {
      boolean var2;
      if(var1 instanceof bk && super.checkLayoutParams(var1)) {
         var2 = true;
      } else {
         var2 = false;
      }

      return var2;
   }

   public void computeScroll() {
      if(!this.m.isFinished() && this.m.computeScrollOffset()) {
         int var2 = this.getScrollX();
         int var4 = this.getScrollY();
         int var1 = this.m.getCurrX();
         int var3 = this.m.getCurrY();
         if(var2 != var1 || var4 != var3) {
            this.scrollTo(var1, var3);
            if(!this.d(var1)) {
               this.m.abortAnimation();
               this.scrollTo(0, var3);
            }
         }

         ak.b(this);
      } else {
         this.a(true);
      }

   }

   boolean d() {
      boolean var1 = true;
      if(this.i > 0) {
         this.a(this.i - 1, true);
      } else {
         var1 = false;
      }

      return var1;
   }

   public boolean dispatchKeyEvent(KeyEvent var1) {
      boolean var2;
      if(!super.dispatchKeyEvent(var1) && !this.a(var1)) {
         var2 = false;
      } else {
         var2 = true;
      }

      return var2;
   }

   public boolean dispatchPopulateAccessibilityEvent(AccessibilityEvent var1) {
      boolean var7 = false;
      boolean var6;
      if(var1.getEventType() == 4096) {
         var6 = super.dispatchPopulateAccessibilityEvent(var1);
      } else {
         int var5 = this.getChildCount();
         int var4 = 0;

         while(true) {
            var6 = var7;
            if(var4 >= var5) {
               break;
            }

            View var2 = this.getChildAt(var4);
            if(var2.getVisibility() == 0) {
               bj var3 = this.a(var2);
               if(var3 != null && var3.b == this.i && var2.dispatchPopulateAccessibilityEvent(var1)) {
                  var6 = true;
                  break;
               }
            }

            ++var4;
         }
      }

      return var6;
   }

   public void draw(Canvas var1) {
      super.draw(var1);
      boolean var3 = false;
      boolean var2 = false;
      int var4 = ak.a(this);
      if(var4 != 0 && (var4 != 1 || this.h == null || this.h.a() <= 1)) {
         this.Q.b();
         this.R.b();
      } else {
         int var9;
         if(!this.Q.a()) {
            var9 = var1.save();
            int var8 = this.getHeight() - this.getPaddingTop() - this.getPaddingBottom();
            var4 = this.getWidth();
            var1.rotate(270.0F);
            var1.translate((float)(-var8 + this.getPaddingTop()), this.s * (float)var4);
            this.Q.a(var8, var4);
            var2 = false | this.Q.a(var1);
            var1.restoreToCount(var9);
         }

         var3 = var2;
         if(!this.R.a()) {
            var4 = var1.save();
            int var6 = this.getWidth();
            var9 = this.getHeight();
            int var5 = this.getPaddingTop();
            int var7 = this.getPaddingBottom();
            var1.rotate(90.0F);
            var1.translate((float)(-this.getPaddingTop()), -(this.t + 1.0F) * (float)var6);
            this.R.a(var9 - var5 - var7, var6);
            var3 = var2 | this.R.a(var1);
            var1.restoreToCount(var4);
         }
      }

      if(var3) {
         ak.b(this);
      }

   }

   protected void drawableStateChanged() {
      super.drawableStateChanged();
      Drawable var1 = this.p;
      if(var1 != null && var1.isStateful()) {
         var1.setState(this.getDrawableState());
      }

   }

   boolean e() {
      boolean var1 = true;
      if(this.h != null && this.i < this.h.a() - 1) {
         this.a(this.i + 1, true);
      } else {
         var1 = false;
      }

      return var1;
   }

   protected LayoutParams generateDefaultLayoutParams() {
      return new bk();
   }

   public LayoutParams generateLayoutParams(AttributeSet var1) {
      return new bk(this.getContext(), var1);
   }

   protected LayoutParams generateLayoutParams(LayoutParams var1) {
      return this.generateDefaultLayoutParams();
   }

   public ae getAdapter() {
      return this.h;
   }

   protected int getChildDrawingOrder(int var1, int var2) {
      int var3 = var2;
      if(this.ad == 2) {
         var3 = var1 - 1 - var2;
      }

      return ((bk)((View)this.ae.get(var3)).getLayoutParams()).f;
   }

   public int getCurrentItem() {
      return this.i;
   }

   public int getOffscreenPageLimit() {
      return this.z;
   }

   public int getPageMargin() {
      return this.o;
   }

   protected void onAttachedToWindow() {
      super.onAttachedToWindow();
      this.S = true;
   }

   protected void onDetachedFromWindow() {
      this.removeCallbacks(this.ag);
      super.onDetachedFromWindow();
   }

   protected void onDraw(Canvas var1) {
      super.onDraw(var1);
      if(this.o > 0 && this.p != null && this.e.size() > 0 && this.h != null) {
         int var11 = this.getScrollX();
         int var9 = this.getWidth();
         float var4 = (float)this.o / (float)var9;
         bj var6 = (bj)this.e.get(0);
         float var2 = var6.e;
         int var10 = this.e.size();
         int var7 = var6.b;
         int var12 = ((bj)this.e.get(var10 - 1)).b;

         for(int var8 = 0; var7 < var12; ++var7) {
            while(var7 > var6.b && var8 < var10) {
               ArrayList var13 = this.e;
               ++var8;
               var6 = (bj)var13.get(var8);
            }

            float var3;
            if(var7 == var6.b) {
               var3 = (var6.e + var6.d) * (float)var9;
               var2 = var6.e + var6.d + var4;
            } else {
               float var5 = this.h.a(var7);
               var3 = (var2 + var5) * (float)var9;
               var2 += var5 + var4;
            }

            if((float)this.o + var3 > (float)var11) {
               this.p.setBounds((int)var3, this.q, (int)((float)this.o + var3 + 0.5F), this.r);
               this.p.draw(var1);
            }

            if(var3 > (float)(var11 + var9)) {
               break;
            }
         }
      }

   }

   public boolean onInterceptTouchEvent(MotionEvent var1) {
      boolean var9 = false;
      int var7 = var1.getAction() & 255;
      boolean var8;
      if(var7 != 3 && var7 != 1) {
         if(var7 != 0) {
            if(this.A) {
               var8 = true;
               return var8;
            }

            var8 = var9;
            if(this.B) {
               return var8;
            }
         }

         float var2;
         switch(var7) {
         case 0:
            var2 = var1.getX();
            this.H = var2;
            this.F = var2;
            var2 = var1.getY();
            this.I = var2;
            this.G = var2;
            this.J = z.b(var1, 0);
            this.B = false;
            this.m.computeScrollOffset();
            if(this.ah == 2 && Math.abs(this.m.getFinalX() - this.m.getCurrX()) > this.O) {
               this.m.abortAnimation();
               this.y = false;
               this.c();
               this.A = true;
               this.c(true);
               this.setScrollState(1);
            } else {
               this.a(false);
               this.A = false;
            }
            break;
         case 2:
            var7 = this.J;
            if(var7 != -1) {
               var7 = z.a(var1, var7);
               float var4 = z.c(var1, var7);
               var2 = var4 - this.F;
               float var6 = Math.abs(var2);
               float var3 = z.d(var1, var7);
               float var5 = Math.abs(var3 - this.I);
               if(var2 != 0.0F && !this.a(this.F, var2) && this.a(this, false, (int)var2, (int)var4, (int)var3)) {
                  this.F = var4;
                  this.G = var3;
                  this.B = true;
                  var8 = var9;
                  return var8;
               }

               if(var6 > (float)this.E && 0.5F * var6 > var5) {
                  this.A = true;
                  this.c(true);
                  this.setScrollState(1);
                  if(var2 > 0.0F) {
                     var2 = this.H + (float)this.E;
                  } else {
                     var2 = this.H - (float)this.E;
                  }

                  this.F = var2;
                  this.G = var3;
                  this.setScrollingCacheEnabled(true);
               } else if(var5 > (float)this.E) {
                  this.B = true;
               }

               if(this.A && this.b(var4)) {
                  ak.b(this);
               }
            }
            break;
         case 6:
            this.a(var1);
         }

         if(this.K == null) {
            this.K = VelocityTracker.obtain();
         }

         this.K.addMovement(var1);
         var8 = this.A;
      } else {
         this.A = false;
         this.B = false;
         this.J = -1;
         var8 = var9;
         if(this.K != null) {
            this.K.recycle();
            this.K = null;
            var8 = var9;
         }
      }

      return var8;
   }

   protected void onLayout(boolean var1, int var2, int var3, int var4, int var5) {
      int var15 = this.getChildCount();
      int var17 = var4 - var2;
      int var16 = var5 - var3;
      var3 = this.getPaddingLeft();
      var2 = this.getPaddingTop();
      int var10 = this.getPaddingRight();
      var4 = this.getPaddingBottom();
      int var18 = this.getScrollX();
      int var11 = 0;

      int var12;
      for(int var13 = 0; var13 < var15; var3 = var12) {
         label53: {
            View var7 = this.getChildAt(var13);
            if(var7.getVisibility() != 8) {
               bk var8 = (bk)var7.getLayoutParams();
               if(var8.a) {
                  var5 = var8.b;
                  int var19 = var8.b;
                  int var14;
                  switch(var5 & 7) {
                  case 1:
                     var5 = Math.max((var17 - var7.getMeasuredWidth()) / 2, var3);
                     var12 = var3;
                     break;
                  case 2:
                  case 4:
                  default:
                     var5 = var3;
                     var12 = var3;
                     break;
                  case 3:
                     var12 = var7.getMeasuredWidth();
                     var5 = var3;
                     var12 += var3;
                     break;
                  case 5:
                     var12 = var7.getMeasuredWidth();
                     var5 = var10 + var7.getMeasuredWidth();
                     var14 = var17 - var10 - var12;
                     var10 = var5;
                     var12 = var3;
                     var5 = var14;
                  }

                  switch(var19 & 112) {
                  case 16:
                     var14 = Math.max((var16 - var7.getMeasuredHeight()) / 2, var2);
                     var3 = var2;
                     var2 = var4;
                     var4 = var14;
                     break;
                  case 48:
                     var14 = var7.getMeasuredHeight();
                     var3 = var4;
                     var14 += var2;
                     var4 = var2;
                     var2 = var3;
                     var3 = var14;
                     break;
                  case 80:
                     var14 = var16 - var4 - var7.getMeasuredHeight();
                     var19 = var7.getMeasuredHeight();
                     var3 = var2;
                     var2 = var4 + var19;
                     var4 = var14;
                     break;
                  default:
                     var14 = var2;
                     var3 = var2;
                     var2 = var4;
                     var4 = var14;
                  }

                  var5 += var18;
                  var7.layout(var5, var4, var7.getMeasuredWidth() + var5, var7.getMeasuredHeight() + var4);
                  ++var11;
                  var5 = var10;
                  var4 = var12;
                  var10 = var2;
                  var2 = var11;
                  break label53;
               }
            }

            var5 = var11;
            var11 = var2;
            var12 = var3;
            var2 = var5;
            var5 = var10;
            var10 = var4;
            var3 = var11;
            var4 = var12;
         }

         ++var13;
         var12 = var4;
         var11 = var2;
         var2 = var3;
         var4 = var10;
         var10 = var5;
      }

      var10 = var17 - var3 - var10;

      for(var5 = 0; var5 < var15; ++var5) {
         View var21 = this.getChildAt(var5);
         if(var21.getVisibility() != 8) {
            bk var20 = (bk)var21.getLayoutParams();
            if(!var20.a) {
               bj var9 = this.a(var21);
               if(var9 != null) {
                  float var6 = (float)var10;
                  var12 = (int)(var9.e * var6) + var3;
                  if(var20.d) {
                     var20.d = false;
                     var6 = (float)var10;
                     var21.measure(MeasureSpec.makeMeasureSpec((int)(var20.c * var6), 1073741824), MeasureSpec.makeMeasureSpec(var16 - var2 - var4, 1073741824));
                  }

                  var21.layout(var12, var2, var21.getMeasuredWidth() + var12, var21.getMeasuredHeight() + var2);
               }
            }
         }
      }

      this.q = var2;
      this.r = var16 - var4;
      this.V = var11;
      if(this.S) {
         this.a(this.i, false, 0, false);
      }

      this.S = false;
   }

   protected void onMeasure(int var1, int var2) {
      this.setMeasuredDimension(getDefaultSize(0, var1), getDefaultSize(0, var2));
      var1 = this.getMeasuredWidth();
      this.D = Math.min(var1 / 10, this.C);
      var1 = var1 - this.getPaddingLeft() - this.getPaddingRight();
      var2 = this.getMeasuredHeight() - this.getPaddingTop() - this.getPaddingBottom();
      int var14 = this.getChildCount();

      int var6;
      int var7;
      for(int var8 = 0; var8 < var14; var2 = var7) {
         View var5 = this.getChildAt(var8);
         var6 = var1;
         var7 = var2;
         if(var5.getVisibility() != 8) {
            bk var4 = (bk)var5.getLayoutParams();
            var6 = var1;
            var7 = var2;
            if(var4 != null) {
               var6 = var1;
               var7 = var2;
               if(var4.a) {
                  var6 = var4.b & 7;
                  int var9 = var4.b & 112;
                  int var11 = Integer.MIN_VALUE;
                  var7 = Integer.MIN_VALUE;
                  boolean var17;
                  if(var9 != 48 && var9 != 80) {
                     var17 = false;
                  } else {
                     var17 = true;
                  }

                  boolean var10;
                  if(var6 != 3 && var6 != 5) {
                     var10 = false;
                  } else {
                     var10 = true;
                  }

                  if(var17) {
                     var6 = 1073741824;
                  } else {
                     var6 = var11;
                     if(var10) {
                        var7 = 1073741824;
                        var6 = var11;
                     }
                  }

                  if(var4.width != -2) {
                     var11 = 1073741824;
                     if(var4.width != -1) {
                        var6 = var4.width;
                     } else {
                        var6 = var1;
                     }
                  } else {
                     var11 = var6;
                     var6 = var1;
                  }

                  int var12;
                  label72: {
                     if(var4.height != -2) {
                        var12 = 1073741824;
                        var7 = var12;
                        if(var4.height != -1) {
                           int var13 = var4.height;
                           var7 = var12;
                           var12 = var13;
                           break label72;
                        }
                     }

                     var12 = var2;
                  }

                  var5.measure(MeasureSpec.makeMeasureSpec(var6, var11), MeasureSpec.makeMeasureSpec(var12, var7));
                  if(var17) {
                     var7 = var2 - var5.getMeasuredHeight();
                     var6 = var1;
                  } else {
                     var6 = var1;
                     var7 = var2;
                     if(var10) {
                        var6 = var1 - var5.getMeasuredWidth();
                        var7 = var2;
                     }
                  }
               }
            }
         }

         ++var8;
         var1 = var6;
      }

      this.u = MeasureSpec.makeMeasureSpec(var1, 1073741824);
      this.v = MeasureSpec.makeMeasureSpec(var2, 1073741824);
      this.w = true;
      this.c();
      this.w = false;
      var6 = this.getChildCount();

      for(var2 = 0; var2 < var6; ++var2) {
         View var15 = this.getChildAt(var2);
         if(var15.getVisibility() != 8) {
            bk var16 = (bk)var15.getLayoutParams();
            if(var16 == null || !var16.a) {
               float var3 = (float)var1;
               var15.measure(MeasureSpec.makeMeasureSpec((int)(var16.c * var3), 1073741824), this.v);
            }
         }
      }

   }

   protected boolean onRequestFocusInDescendants(int var1, Rect var2) {
      boolean var8 = true;
      byte var7 = -1;
      int var6 = this.getChildCount();
      int var5;
      if((var1 & 2) != 0) {
         var7 = 1;
         var5 = 0;
      } else {
         var5 = var6 - 1;
         var6 = -1;
      }

      while(true) {
         if(var5 == var6) {
            var8 = false;
            break;
         }

         View var3 = this.getChildAt(var5);
         if(var3.getVisibility() == 0) {
            bj var4 = this.a(var3);
            if(var4 != null && var4.b == this.i && var3.requestFocus(var1, var2)) {
               break;
            }
         }

         var5 += var7;
      }

      return var8;
   }

   public void onRestoreInstanceState(Parcelable var1) {
      if(!(var1 instanceof ViewPager$SavedState)) {
         super.onRestoreInstanceState(var1);
      } else {
         ViewPager$SavedState var2 = (ViewPager$SavedState)var1;
         super.onRestoreInstanceState(var2.getSuperState());
         if(this.h != null) {
            this.h.a(var2.b, var2.c);
            this.a(var2.a, false, true);
         } else {
            this.j = var2.a;
            this.k = var2.b;
            this.l = var2.c;
         }
      }

   }

   public Parcelable onSaveInstanceState() {
      ViewPager$SavedState var1 = new ViewPager$SavedState(super.onSaveInstanceState());
      var1.a = this.i;
      if(this.h != null) {
         var1.b = this.h.b();
      }

      return var1;
   }

   protected void onSizeChanged(int var1, int var2, int var3, int var4) {
      super.onSizeChanged(var1, var2, var3, var4);
      if(var1 != var3) {
         this.a(var1, var3, this.o, this.o);
      }

   }

   public boolean onTouchEvent(MotionEvent var1) {
      boolean var8 = false;
      boolean var10;
      if(this.P) {
         var10 = true;
      } else if(var1.getAction() == 0 && var1.getEdgeFlags() != 0) {
         var10 = false;
      } else if(this.h != null && this.h.a() != 0) {
         if(this.K == null) {
            this.K = VelocityTracker.obtain();
         }

         this.K.addMovement(var1);
         boolean var7 = var8;
         float var2;
         int var13;
         switch(var1.getAction() & 255) {
         case 0:
            this.m.abortAnimation();
            this.y = false;
            this.c();
            var2 = var1.getX();
            this.H = var2;
            this.F = var2;
            var2 = var1.getY();
            this.I = var2;
            this.G = var2;
            this.J = z.b(var1, 0);
            var7 = var8;
            break;
         case 1:
            var7 = var8;
            if(this.A) {
               VelocityTracker var12 = this.K;
               var12.computeCurrentVelocity(1000, (float)this.M);
               var13 = (int)af.a(var12, this.J);
               this.y = true;
               int var9 = this.getClientWidth();
               int var14 = this.getScrollX();
               bj var11 = this.i();
               this.a(this.a(var11.b, ((float)var14 / (float)var9 - var11.e) / var11.d, var13, (int)(z.c(var1, z.a(var1, this.J)) - this.H)), true, true, var13);
               this.J = -1;
               this.j();
               var10 = this.Q.c();
               var7 = this.R.c() | var10;
            }
            break;
         case 2:
            if(!this.A) {
               var13 = z.a(var1, this.J);
               float var4 = z.c(var1, var13);
               float var5 = Math.abs(var4 - this.F);
               float var3 = z.d(var1, var13);
               var2 = Math.abs(var3 - this.G);
               if(var5 > (float)this.E && var5 > var2) {
                  this.A = true;
                  this.c(true);
                  if(var4 - this.H > 0.0F) {
                     var2 = this.H + (float)this.E;
                  } else {
                     var2 = this.H - (float)this.E;
                  }

                  this.F = var2;
                  this.G = var3;
                  this.setScrollState(1);
                  this.setScrollingCacheEnabled(true);
                  ViewParent var6 = this.getParent();
                  if(var6 != null) {
                     var6.requestDisallowInterceptTouchEvent(true);
                  }
               }
            }

            var7 = var8;
            if(this.A) {
               var7 = false | this.b(z.c(var1, z.a(var1, this.J)));
            }
            break;
         case 3:
            var7 = var8;
            if(this.A) {
               this.a(this.i, true, 0, false);
               this.J = -1;
               this.j();
               var10 = this.Q.c();
               var7 = this.R.c() | var10;
            }
         case 4:
            break;
         case 5:
            var13 = z.b(var1);
            this.F = z.c(var1, var13);
            this.J = z.b(var1, var13);
            var7 = var8;
            break;
         case 6:
            this.a(var1);
            this.F = z.c(var1, z.a(var1, this.J));
            var7 = var8;
            break;
         default:
            var7 = var8;
         }

         if(var7) {
            ak.b(this);
         }

         var10 = true;
      } else {
         var10 = false;
      }

      return var10;
   }

   public void removeView(View var1) {
      if(this.w) {
         this.removeViewInLayout(var1);
      } else {
         super.removeView(var1);
      }

   }

   public void setAdapter(ae var1) {
      if(this.h != null) {
         this.h.b((DataSetObserver)this.n);
         this.h.a((ViewGroup)this);

         for(int var3 = 0; var3 < this.e.size(); ++var3) {
            bj var2 = (bj)this.e.get(var3);
            this.h.a((ViewGroup)this, var2.b, var2.a);
         }

         this.h.b((ViewGroup)this);
         this.e.clear();
         this.g();
         this.i = 0;
         this.scrollTo(0, 0);
      }

      ae var5 = this.h;
      this.h = var1;
      this.b = 0;
      if(this.h != null) {
         if(this.n == null) {
            this.n = new bp(this, (bf)null);
         }

         this.h.a((DataSetObserver)this.n);
         this.y = false;
         boolean var4 = this.S;
         this.S = true;
         this.b = this.h.a();
         if(this.j >= 0) {
            this.h.a(this.k, this.l);
            this.a(this.j, false, true);
            this.j = -1;
            this.k = null;
            this.l = null;
         } else if(!var4) {
            this.c();
         } else {
            this.requestLayout();
         }
      }

      if(this.aa != null && var5 != var1) {
         this.aa.a(var5, var1);
      }

   }

   void setChildrenDrawingOrderEnabledCompat(boolean var1) {
      if(VERSION.SDK_INT >= 7) {
         if(this.ac == null) {
            try {
               this.ac = ViewGroup.class.getDeclaredMethod("setChildrenDrawingOrderEnabled", new Class[]{Boolean.TYPE});
            } catch (NoSuchMethodException var4) {
               Log.e("ViewPager", "Can\'t find setChildrenDrawingOrderEnabled", var4);
            }
         }

         try {
            this.ac.invoke(this, new Object[]{Boolean.valueOf(var1)});
         } catch (Exception var3) {
            Log.e("ViewPager", "Error changing children drawing order", var3);
         }
      }

   }

   public void setCurrentItem(int var1) {
      this.y = false;
      boolean var2;
      if(!this.S) {
         var2 = true;
      } else {
         var2 = false;
      }

      this.a(var1, var2, false);
   }

   public void setOffscreenPageLimit(int var1) {
      int var2 = var1;
      if(var1 < 1) {
         Log.w("ViewPager", "Requested offscreen page limit " + var1 + " too small; defaulting to " + 1);
         var2 = 1;
      }

      if(var2 != this.z) {
         this.z = var2;
         this.c();
      }

   }

   void setOnAdapterChangeListener(bm var1) {
      this.aa = var1;
   }

   public void setOnPageChangeListener(bn var1) {
      this.W = var1;
   }

   public void setPageMargin(int var1) {
      int var3 = this.o;
      this.o = var1;
      int var2 = this.getWidth();
      this.a(var2, var2, var1, var3);
      this.requestLayout();
   }

   public void setPageMarginDrawable(int var1) {
      this.setPageMarginDrawable(this.getContext().getResources().getDrawable(var1));
   }

   public void setPageMarginDrawable(Drawable var1) {
      this.p = var1;
      if(var1 != null) {
         this.refreshDrawableState();
      }

      boolean var2;
      if(var1 == null) {
         var2 = true;
      } else {
         var2 = false;
      }

      this.setWillNotDraw(var2);
      this.invalidate();
   }

   protected boolean verifyDrawable(Drawable var1) {
      boolean var2;
      if(!super.verifyDrawable(var1) && var1 != this.p) {
         var2 = false;
      } else {
         var2 = true;
      }

      return var2;
   }
}
