package android.support.v4.view.a;

import android.graphics.Rect;
import android.os.Build.VERSION;
import android.support.v4.view.a.b;
import android.support.v4.view.a.c;
import android.support.v4.view.a.d;
import android.support.v4.view.a.e;
import android.support.v4.view.a.f;
import android.support.v4.view.a.g;

public class a {
   private static final c a;
   private final Object b;

   static {
      if(VERSION.SDK_INT >= 19) {
         a = new f();
      } else if(VERSION.SDK_INT >= 18) {
         a = new e();
      } else if(VERSION.SDK_INT >= 16) {
         a = new d();
      } else if(VERSION.SDK_INT >= 14) {
         a = new b();
      } else {
         a = new g();
      }

   }

   public a(Object var1) {
      super();
      this.b = var1;
   }

   private static String b(int var0) {
      String var1;
      switch(var0) {
      case 1:
         var1 = "ACTION_FOCUS";
         break;
      case 2:
         var1 = "ACTION_CLEAR_FOCUS";
         break;
      case 4:
         var1 = "ACTION_SELECT";
         break;
      case 8:
         var1 = "ACTION_CLEAR_SELECTION";
         break;
      case 16:
         var1 = "ACTION_CLICK";
         break;
      case 32:
         var1 = "ACTION_LONG_CLICK";
         break;
      case 64:
         var1 = "ACTION_ACCESSIBILITY_FOCUS";
         break;
      case 128:
         var1 = "ACTION_CLEAR_ACCESSIBILITY_FOCUS";
         break;
      case 256:
         var1 = "ACTION_NEXT_AT_MOVEMENT_GRANULARITY";
         break;
      case 512:
         var1 = "ACTION_PREVIOUS_AT_MOVEMENT_GRANULARITY";
         break;
      case 1024:
         var1 = "ACTION_NEXT_HTML_ELEMENT";
         break;
      case 2048:
         var1 = "ACTION_PREVIOUS_HTML_ELEMENT";
         break;
      case 4096:
         var1 = "ACTION_SCROLL_FORWARD";
         break;
      case 8192:
         var1 = "ACTION_SCROLL_BACKWARD";
         break;
      case 16384:
         var1 = "ACTION_COPY";
         break;
      case 32768:
         var1 = "ACTION_PASTE";
         break;
      case 65536:
         var1 = "ACTION_CUT";
         break;
      case 131072:
         var1 = "ACTION_SET_SELECTION";
         break;
      default:
         var1 = "ACTION_UNKNOWN";
      }

      return var1;
   }

   public Object a() {
      return this.b;
   }

   public void a(int var1) {
      a.a(this.b, var1);
   }

   public void a(Rect var1) {
      a.a(this.b, var1);
   }

   public void a(CharSequence var1) {
      a.a(this.b, var1);
   }

   public void a(boolean var1) {
      a.a(this.b, var1);
   }

   public int b() {
      return a.a(this.b);
   }

   public void b(Rect var1) {
      a.b(this.b, var1);
   }

   public boolean c() {
      return a.f(this.b);
   }

   public boolean d() {
      return a.g(this.b);
   }

   public boolean e() {
      return a.j(this.b);
   }

   public boolean equals(Object var1) {
      boolean var2 = true;
      if(this != var1) {
         if(var1 == null) {
            var2 = false;
         } else if(this.getClass() != var1.getClass()) {
            var2 = false;
         } else {
            a var3 = (a)var1;
            if(this.b == null) {
               if(var3.b != null) {
                  var2 = false;
               }
            } else if(!this.b.equals(var3.b)) {
               var2 = false;
            }
         }
      }

      return var2;
   }

   public boolean f() {
      return a.k(this.b);
   }

   public boolean g() {
      return a.o(this.b);
   }

   public boolean h() {
      return a.h(this.b);
   }

   public int hashCode() {
      int var1;
      if(this.b == null) {
         var1 = 0;
      } else {
         var1 = this.b.hashCode();
      }

      return var1;
   }

   public boolean i() {
      return a.l(this.b);
   }

   public boolean j() {
      return a.i(this.b);
   }

   public boolean k() {
      return a.m(this.b);
   }

   public boolean l() {
      return a.n(this.b);
   }

   public CharSequence m() {
      return a.d(this.b);
   }

   public CharSequence n() {
      return a.b(this.b);
   }

   public CharSequence o() {
      return a.e(this.b);
   }

   public CharSequence p() {
      return a.c(this.b);
   }

   public String q() {
      return a.p(this.b);
   }

   public String toString() {
      StringBuilder var2 = new StringBuilder();
      var2.append(super.toString());
      Rect var1 = new Rect();
      this.a(var1);
      var2.append("; boundsInParent: " + var1);
      this.b(var1);
      var2.append("; boundsInScreen: " + var1);
      var2.append("; packageName: ").append(this.m());
      var2.append("; className: ").append(this.n());
      var2.append("; text: ").append(this.o());
      var2.append("; contentDescription: ").append(this.p());
      var2.append("; viewId: ").append(this.q());
      var2.append("; checkable: ").append(this.c());
      var2.append("; checked: ").append(this.d());
      var2.append("; focusable: ").append(this.e());
      var2.append("; focused: ").append(this.f());
      var2.append("; selected: ").append(this.g());
      var2.append("; clickable: ").append(this.h());
      var2.append("; longClickable: ").append(this.i());
      var2.append("; enabled: ").append(this.j());
      var2.append("; password: ").append(this.k());
      var2.append("; scrollable: " + this.l());
      var2.append("; [");
      int var3 = this.b();

      while(var3 != 0) {
         int var5 = 1 << Integer.numberOfTrailingZeros(var3);
         int var4 = var3 & ~var5;
         var2.append(b(var5));
         var3 = var4;
         if(var4 != 0) {
            var2.append(", ");
            var3 = var4;
         }
      }

      var2.append("]");
      return var2.toString();
   }
}
