package com.dji.video.preview;

import android.app.Dialog;
import android.app.AlertDialog.Builder;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.content.SharedPreferences;
import android.content.SharedPreferences.Editor;
import android.graphics.SurfaceTexture;
import android.hardware.Sensor;
import android.hardware.SensorEvent;
import android.hardware.SensorEventListener;
import android.hardware.SensorManager;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.preference.PreferenceManager;
import android.util.DisplayMetrics;
import android.util.Log;
import android.view.Display;
import android.view.GestureDetector;
import android.view.KeyEvent;
import android.view.Menu;
import android.view.MenuItem;
import android.view.MotionEvent;
import android.view.Surface;
import android.view.TextureView;
import android.view.View;
import android.view.TextureView.SurfaceTextureListener;
import android.view.View.OnClickListener;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;
import android.widget.ImageButton;
import android.widget.PopupWindow;
import android.widget.ProgressBar;
import android.widget.RelativeLayout;
import android.widget.TextView;
import android.widget.Toast;
import android.widget.FrameLayout.LayoutParams;
import com.dji.video.CamController;
import com.dji.video.preview.VideoDecoder;
import com.dji.video.preview.c;
import com.dji.video.preview.d;
import com.dji.video.preview.e;
import com.dji.video.preview.f;
import com.dji.video.preview.g;
import com.dji.video.preview.h;
import com.dji.video.preview.i;
import com.dji.video.preview.j;
import com.dji.video.preview.k;
import com.dji.video.preview.l;
import com.dji.video.preview.m;
import com.dji.video.preview.n;
import com.dji.video.preview.o;
import com.dji.video.preview.p;
import com.dji.video.preview.q;
import com.dji.video.preview.s;
import com.dji.video.preview.t;
import com.dji.video.preview.v;
import com.dji.video.preview.w;
import com.dji.video.settings.SettingsActivity;
import com.dji.video.settings.cc;
import com.dji.video.widgets.BaseInfoStatusBar;
import com.dji.video.widgets.CameraAnimRL;
import com.dji.video.widgets.FlyStatusBar;
import com.dji.video.widgets.FreqSnrView;
import com.dji.video.widgets.SoftGLSurfaceView;
import java.io.IOException;
import java.util.Timer;

public class VideoViewActivity extends com.dji.video.a implements SensorEventListener, SurfaceTextureListener, OnClickListener, com.dji.video.c.b, com.dji.video.d.d {
   static int J;
   static int K;
   static long L;
   Timer A = null;
   Dialog B = null;
   Dialog C = null;
   Dialog D = null;
   Toast E;
   final Runnable F = new c(this);
   Handler G = new j(this);
   Timer H = null;
   int I = 0;
   TextView M = null;
   int N = 0;
   long O = 0L;
   private Context P;
   private ProgressBar Q;
   private SensorManager R = null;
   private Display S;
   private SharedPreferences T;
   private Editor U;
   private v V = null;
   private boolean W = false;
   private boolean X = true;
   private boolean Y = true;
   private boolean Z = true;
   private int aa = 0;
   private boolean ab = false;
   private int ac = 0;
   private long ad = 0L;
   private boolean ae = false;
   private Dialog af = null;
   private Dialog ag = null;
   private boolean ah = false;
   private int ai = 0;
   private boolean aj = false;
   private int ak = 0;
   private int al = 1;
   private int am = 1;
   private int an = 1;
   private int ao = 1;
   private int ap = 1;
   public int b;
   public int c;
   PopupWindow d = null;
   TextureView e;
   SoftGLSurfaceView f;
   ImageButton g;
   VideoDecoder h = null;
   GestureDetector i;
   com.dji.video.c.a j;
   BaseInfoStatusBar k;
   FlyStatusBar l;
   FreqSnrView m;
   RelativeLayout n;
   RelativeLayout o;
   RelativeLayout p;
   RelativeLayout q;
   TextView r;
   TextView s;
   TextView t;
   TextView u;
   CameraAnimRL v;
   int w = 0;
   TextView x;
   TextView y;
   Timer z = null;

   static {
      try {
         System.loadLibrary("djivideo");
      } catch (UnsatisfiedLinkError var1) {
         Log.d("VideoViewActivity", "Couldn\'t load lib");
      }

      J = 0;
      K = 0;
      L = 0L;
   }

   public VideoViewActivity() {
      super();
   }

   // $FF: synthetic method
   static ProgressBar A(VideoViewActivity var0) {
      return var0.Q;
   }

   private void A() {
      if(this.ag != null && this.ag.isShowing()) {
         this.ag.dismiss();
      }

   }

   private void B() {
      if(!com.dji.video.d.n) {
         if(this.D == null) {
            this.D = (new Builder(this.P, 2)).setCancelable(false).setIconAttribute(16843605).setMessage(this.getString(2131427527)).setPositiveButton(this.getString(2131427508), new f(this)).create();
         }

         if(!this.D.isShowing()) {
            this.D.show();
         }
      }

   }

   // $FF: synthetic method
   static boolean B(VideoViewActivity var0) {
      return var0.ae;
   }

   // $FF: synthetic method
   static Dialog C(VideoViewActivity var0) {
      return var0.ag;
   }

   private void C() {
      if(this.D != null && this.D.isShowing()) {
         this.D.dismiss();
      }

   }

   private void D() {
      if(this.B == null) {
         this.B = (new Builder(this.P, 2)).setCancelable(false).setTitle(this.getString(2131427519)).setIconAttribute(16843605).setMessage(this.getString(2131427520)).setPositiveButton(this.getString(2131427508), new g(this)).create();
      }

      if(!this.B.isShowing()) {
         this.B.show();
      }

   }

   private void E() {
      int var2 = com.dji.video.b.l.a().m();
      int var3 = com.dji.video.b.l.a().h();
      Message var1 = new Message();
      if(var2 != 3 && var3 == 0) {
         this.an = 1;
         var1.what = 7;
      } else {
         ++this.an;
         if(this.an % 5 == 0) {
            if(var2 == 3) {
               var1.what = 8;
               var1.arg1 = 1;
            }

            if(var3 == 1) {
               var1.what = 8;
               var1.arg1 = 1;
            } else if(var3 == 2) {
               var1.what = 8;
               var1.arg1 = 2;
            }
         }
      }

      this.G.sendMessage(var1);
   }

   private void F() {
      if(com.dji.video.b.l.a().f() <= 0.0F) {
         ++this.ao;
         if(this.ao % 5 == 0) {
            this.G.sendEmptyMessage(9);
         }
      } else {
         this.G.sendEmptyMessage(10);
         this.ao = 1;
      }

   }

   private void G() {
      Message var1 = new Message();
      if(com.dji.video.b.l.a().i() == -27.0F) {
         ++this.ap;
         if(this.ap % 5 == 0) {
            var1.what = 11;
         }
      } else {
         this.ap = 1;
         var1.what = 12;
      }

      this.G.sendMessage(var1);
   }

   private void H() {
      this.a(new com.dji.video.c[]{new com.dji.video.c(this, 2130837637, com.dji.video.e.h.a(this, 0.0F), com.dji.video.e.h.a(this, 0.0F))}, (com.dji.video.c[])null);
   }

   private void I() {
   }

   private void J() {
      if(this.z == null) {
         this.z = new Timer();
         t var1 = new t(this);
         this.z.schedule(var1, 0L, 200L);
      }

      if(this.A == null) {
         this.A = new Timer();
         s var2 = new s(this);
         this.A.schedule(var2, 0L, 1000L);
      }

   }

   private void a(Context var1) {
      if(this.af == null) {
         this.af = (new Builder(this.P, 2)).setTitle(2131427512).setIconAttribute(16843605).setCancelable(false).setPositiveButton(this.getString(2131427508), new p(this)).setNegativeButton(this.getString(2131427509), new q(this)).create();
      }

      if(!this.af.isShowing()) {
         this.af.show();
      }

   }

   // $FF: synthetic method
   static void a(VideoViewActivity var0, int var1) {
      var0.c(var1);
   }

   // $FF: synthetic method
   static void a(VideoViewActivity var0, boolean var1) {
      var0.X = var1;
   }

   // $FF: synthetic method
   static void a(VideoViewActivity var0, byte[] var1, int var2, int var3) {
      var0.a(var1, var2, var3);
   }

   private void a(byte[] var1) {
      com.dji.video.e.a.a(com.dji.video.e.a.a(var1, 0, 1)[0]);
   }

   private void a(byte[] var1, int var2, int var3) {
      if(var2 == 16) {
         this.k.a(com.dji.video.b.k.a());
      } else if(var2 == 7) {
         switch(com.dji.video.e.a.a(var1, 2)) {
         case 1:
         default:
            break;
         case 2:
            this.k.a(com.dji.video.b.l.a());
         }
      }

   }

   // $FF: synthetic method
   static boolean a(VideoViewActivity var0) {
      return var0.Y;
   }

   // $FF: synthetic method
   static Context b(VideoViewActivity var0) {
      return var0.P;
   }

   // $FF: synthetic method
   static void b(VideoViewActivity var0, int var1) {
      var0.h(var1);
   }

   // $FF: synthetic method
   static void b(VideoViewActivity var0, boolean var1) {
      var0.Y = var1;
   }

   private void b(String var1) {
      ++this.aa;
      if(this.aa % 10 == 0) {
         if(this.E != null) {
            this.E.cancel();
         }

         com.dji.video.d.a(this.getApplicationContext(), var1, 1);
         this.aa = 0;
      }

   }

   private void b(byte[] var1, int var2, int var3) {
      CamController.native_sendCtrlInfo_async(var1, var2, var3);
   }

   private void c(int var1) {
      if(this.E != null) {
         this.E.cancel();
      }

      this.E = Toast.makeText(this.getApplicationContext(), this.getString(var1), 1);
      this.E.show();
   }

   // $FF: synthetic method
   static void c(VideoViewActivity var0) {
      var0.v();
   }

   // $FF: synthetic method
   static void c(VideoViewActivity var0, int var1) {
      var0.f(var1);
   }

   // $FF: synthetic method
   static void c(VideoViewActivity var0, boolean var1) {
      var0.Z = var1;
   }

   private void d(int var1) {
      this.w = var1;
   }

   // $FF: synthetic method
   static void d(VideoViewActivity var0, int var1) {
      var0.g(var1);
   }

   // $FF: synthetic method
   static void d(VideoViewActivity var0, boolean var1) {
      var0.ah = var1;
   }

   // $FF: synthetic method
   static boolean d(VideoViewActivity var0) {
      return var0.X;
   }

   private void e(int var1) {
      if(!this.v.c()) {
         this.n.getVisibility();
      }

   }

   // $FF: synthetic method
   static void e(VideoViewActivity var0) {
      var0.w();
   }

   // $FF: synthetic method
   static void e(VideoViewActivity var0, int var1) {
      var0.e(var1);
   }

   private void f(int var1) {
      if(!this.v.c()) {
         this.s.setText(var1);
         this.o.setVisibility(0);
      }

   }

   // $FF: synthetic method
   static void f(VideoViewActivity var0) {
      var0.A();
   }

   // $FF: synthetic method
   static void f(VideoViewActivity var0, int var1) {
      var0.ai = var1;
   }

   private void g(int var1) {
      if(!this.v.c() && !com.dji.video.e.o.b()) {
         switch(var1) {
         case 1:
            this.u.setText(2131427479);
            this.q.setVisibility(0);
            break;
         case 2:
            this.u.setText(2131427480);
            this.q.setVisibility(0);
            break;
         case 3:
            this.u.setText(2131427480);
            this.q.setVisibility(0);
         }
      }

   }

   // $FF: synthetic method
   static void g(VideoViewActivity var0) {
      var0.C();
   }

   private void h(int var1) {
      if(this.m.getVisibility() == 0) {
         this.m.b();
      }

   }

   // $FF: synthetic method
   static boolean h(VideoViewActivity var0) {
      return var0.ab;
   }

   // $FF: synthetic method
   static void i(VideoViewActivity var0) {
      var0.B();
   }

   // $FF: synthetic method
   static void j(VideoViewActivity var0) {
      var0.r();
   }

   // $FF: synthetic method
   static void k(VideoViewActivity var0) {
      var0.u();
   }

   // $FF: synthetic method
   static void l(VideoViewActivity var0) {
      var0.q();
   }

   private void m() {
      boolean var1 = this.ae;
      if(com.dji.video.e.o.a() - this.ad > 3000L) {
         this.ae = false;
      } else {
         this.ae = true;
      }

      if(var1 != this.ae) {
         this.runOnUiThread(new o(this));
      }

   }

   // $FF: synthetic method
   static void m(VideoViewActivity var0) {
      var0.s();
   }

   private int n() {
      return this.w;
   }

   // $FF: synthetic method
   static void n(VideoViewActivity var0) {
      var0.t();
   }

   private void o() {
      this.Q.setVisibility(0);
   }

   // $FF: synthetic method
   static void o(VideoViewActivity var0) {
      var0.z();
   }

   private void p() {
      this.t();
      this.u();
      this.y();
      this.r();
      this.q();
      this.A();
      this.w();
      this.o();
   }

   // $FF: synthetic method
   static void p(VideoViewActivity var0) {
      var0.p();
   }

   private void q() {
   }

   // $FF: synthetic method
   static void q(VideoViewActivity var0) {
      var0.E();
   }

   private void r() {
      if(this.o.getVisibility() == 0) {
         this.o.setVisibility(4);
      }

   }

   // $FF: synthetic method
   static void r(VideoViewActivity var0) {
      var0.F();
   }

   private void s() {
      if(!this.v.c() && this.q.getVisibility() == 4) {
         this.t.setText(2131427481);
         this.p.setVisibility(0);
      }

   }

   // $FF: synthetic method
   static void s(VideoViewActivity var0) {
      var0.G();
   }

   private void t() {
      if(this.p.getVisibility() == 0) {
         this.p.setVisibility(4);
      }

   }

   // $FF: synthetic method
   static void t(VideoViewActivity var0) {
      var0.m();
   }

   private void u() {
      if(this.q.getVisibility() == 0) {
         this.q.setVisibility(4);
      }

   }

   // $FF: synthetic method
   static boolean u(VideoViewActivity var0) {
      return var0.ah;
   }

   // $FF: synthetic method
   static int v(VideoViewActivity var0) {
      return var0.ai;
   }

   private void v() {
      if(this.v.c()) {
         this.X = true;
         this.v.a();
      }

   }

   private void w() {
      this.X = true;
      this.v.b();
   }

   // $FF: synthetic method
   static void w(VideoViewActivity var0) {
      var0.D();
   }

   // $FF: synthetic method
   static int x(VideoViewActivity var0) {
      return var0.n();
   }

   private void x() {
      this.m.setVisibility(0);
      this.m.b();
   }

   private void y() {
      if(this.m != null) {
         this.m.setVisibility(4);
      }

   }

   // $FF: synthetic method
   static void y(VideoViewActivity var0) {
      var0.y();
   }

   private void z() {
      if(this.ag == null) {
         this.ag = (new Builder(this.P, 2)).setCancelable(false).setIconAttribute(16843605).setCancelable(false).setTitle(this.getString(2131427514)).setMessage(this.getString(2131427515)).setPositiveButton(this.getString(2131427516), new d(this)).setNegativeButton(this.getString(2131427517), new e(this)).create();
      }

      if(!this.ag.isShowing()) {
         this.ag.show();
      }

   }

   // $FF: synthetic method
   static void z(VideoViewActivity var0) {
      var0.x();
   }

   public void a(float var1, float var2) {
      Message var3 = new Message();
      var3.what = 13;
      w var4 = new w(this);
      var4.a = var1;
      var4.b = var2;
      var3.obj = var4;
      this.G.sendMessage(var3);
   }

   public void a(int var1) {
      if(var1 == 3) {
         this.ad = com.dji.video.e.o.a();
      } else {
         Message var2 = new Message();
         var2.what = 2;
         var2.arg1 = var1;
         this.G.sendMessage(var2);
      }

   }

   public void a(int var1, int var2, int var3) {
      if(CamController.native_setMSCChannel(var1, var2, var3) < 0) {
         com.dji.video.d.a(this.P, this.getString(2131427500), 0);
      } else {
         com.dji.video.d.a(this.P, this.getString(2131427501), 0);
      }

   }

   protected void a(Surface var1) {
      CamController.native_init();
      this.h = new VideoDecoder(var1);
      this.h.setRecvDataCallBack(this);
   }

   public void a(String var1) {
      this.runOnUiThread(new h(this, var1));
   }

   public void a(byte[] var1, int var2, int var3, boolean var4) {
      boolean var6 = true;
      boolean var7 = true;
      boolean var8 = true;
      boolean var9 = true;
      boolean var5 = true;
      com.dji.video.e.o.a();
      if(!var4) {
         this.G.sendEmptyMessage(14);
      }

      switch(var3) {
      case 7:
         short var13 = com.dji.video.e.a.a(var1, 0);
         short var12 = com.dji.video.e.a.a(var1, 2);
         if(var12 == 1) {
            com.dji.video.b.j.a().a(var1, var13);

            try {
               this.b(com.dji.video.b.a.a().c(), 9, 21);
            } catch (IOException var10) {
               var10.printStackTrace();
            }
         } else if(var12 == 2) {
            com.dji.video.b.l.a().a(var1, var13);
         }
         break;
      case 8:
         com.dji.video.d.h = com.dji.video.e.o.a(var1);
         com.dji.video.e.o.a(this.U, "ground_version", com.dji.video.d.h);
         if(com.dji.video.d.h.equals("1.3.0.26")) {
            var4 = var5;
         } else {
            var4 = false;
         }

         com.dji.video.d.e = var4;
         break;
      case 9:
      case 10:
      case 11:
      case 12:
      case 13:
      case 14:
      case 15:
      case 17:
      case 21:
      case 31:
      default:
         Log.e("VideoViewActivity", "no match snr type");
         break;
      case 16:
         com.dji.video.b.k.a().a(var1, var2);
         break;
      case 18:
         com.dji.video.b.h.a().a(var1, var2);
         break;
      case 19:
         this.a(var1);
         break;
      case 20:
         com.dji.video.b.g.a().a(var1, var2);
         break;
      case 22:
         com.dji.video.b.e.a().a(var1, var2);
         break;
      case 23:
         byte var11 = var1[0];
         this.runOnUiThread(new m(this, var1[1], var11));
         break;
      case 24:
         com.dji.video.b.m.a().a(var1, var2, 24);
         if(this.Z && com.dji.video.b.m.a().h()) {
            this.Z = false;
            this.runOnUiThread(new n(this));
         }
         break;
      case 25:
         com.dji.video.d.i = com.dji.video.e.o.a(var1);
         com.dji.video.e.o.a(this.U, "1765_version", com.dji.video.d.i);
         if(com.dji.video.d.i.equals("1.1.4.20")) {
            var4 = var6;
         } else {
            var4 = false;
         }

         com.dji.video.d.e = var4;
         break;
      case 26:
         com.dji.video.d.j = com.dji.video.e.o.a(var1);
         com.dji.video.e.o.a(this.U, "fpga_version", com.dji.video.d.j);
         if(com.dji.video.d.j.equals("0.0.0.41")) {
            var4 = var7;
         } else {
            var4 = false;
         }

         com.dji.video.d.e = var4;
         break;
      case 27:
         com.dji.video.d.k = com.dji.video.e.o.a(var1);
         com.dji.video.e.o.a(this.U, "68013_version", com.dji.video.d.k);
         if(com.dji.video.d.k.equals("1.0.0.1")) {
            var4 = var8;
         } else {
            var4 = false;
         }

         com.dji.video.d.e = var4;
      case 28:
         break;
      case 29:
         com.dji.video.d.l = com.dji.video.e.o.a(var1);
         com.dji.video.e.o.a(this.U, "f330_version", com.dji.video.d.l);
         if(com.dji.video.d.l.equals("0.0.0.34")) {
            var4 = var9;
         } else {
            var4 = false;
         }

         com.dji.video.d.e = var4;
         break;
      case 30:
         Log.d("VideoViewActivity", "DATA_TYPE_REQ_ANTENNA");
         ++this.ac;
         com.dji.video.b.b.a().a(var1, var2);
         break;
      case 32:
         com.dji.video.b.m.a().a(var1, var2, 32);
      }

   }

   public void a_() {
      if(com.dji.video.e.o.a(this.P)) {
         this.G.sendEmptyMessage(15);
      }

   }

   public void b() {
   }

   public void b(float var1, float var2) {
      float var3 = var1 / var2;
      LayoutParams var4 = (LayoutParams)this.e.getLayoutParams();
      this.e();
      if((float)this.b / (float)this.c >= var3) {
         var4.height = this.c;
         var4.width = (int)(var3 * (float)this.c);
      } else {
         var4.width = this.b;
         var4.height = (int)((float)this.b / var3);
      }

      if(var1 == 1920.0F && var2 == 1080.0F) {
         var4.bottomMargin = -8;
      }

      this.e.setLayoutParams(var4);
   }

   protected void b(int var1) {
      switch(var1) {
      case 0:
         this.b("连接断开");
         break;
      case 1:
         this.b("视频断开");
         break;
      case 2:
         this.b("同频干扰");
         break;
      case 3:
         this.b("设备干扰");
      }

   }

   protected void c() {
      if(this.h != null) {
         (new Thread(new l(this))).start();
      }

   }

   public void d() {
      com.dji.video.b.a.a().b();
      com.dji.video.b.e.a().b();
      com.dji.video.b.g.a().b();
      com.dji.video.b.h.a().b();
      com.dji.video.b.j.a().b();
      com.dji.video.b.k.a().c();
      com.dji.video.b.k.a().b();
      com.dji.video.b.l.a().n();
      com.dji.video.b.m.a().b();
   }

   public void e() {
      DisplayMetrics var1 = new DisplayMetrics();
      this.getWindowManager().getDefaultDisplay().getMetrics(var1);
      this.b = var1.widthPixels;
      this.c = var1.heightPixels;
      if(this.b < this.c) {
         int var2 = this.b;
         this.b = this.c;
         this.c = var2;
      }

   }

   public void f() {
      android.widget.RelativeLayout.LayoutParams var1 = (android.widget.RelativeLayout.LayoutParams)this.m.getLayoutParams();
      this.e();
      var1.width = this.b / 2;
      var1.height = this.c / 2;
      this.m.setLayoutParams(var1);
   }

   public void g() {
      com.dji.video.d.a(this.P, this.getString(2131427540), 0);
      this.f.setVisibility(4);
      this.e.setVisibility(0);
   }

   public void h() {
      com.dji.video.d.a(this.P, this.getString(2131427541), 0);
      this.e.setVisibility(4);
      this.f.setVisibility(0);
   }

   protected void i() {
      if(this.k.getVisibility() == 4 && this.l.getVisibility() == 4) {
         this.j();
      } else {
         this.k();
      }

   }

   protected void j() {
      Animation var1 = AnimationUtils.loadAnimation(this.P, 2130968586);
      this.k.startAnimation(var1);
      this.k.setVisibility(0);
      var1 = AnimationUtils.loadAnimation(this.P, 2130968576);
      this.l.startAnimation(var1);
      this.l.setVisibility(0);
      this.I = 8;
      this.I();
   }

   protected void k() {
      Animation var1 = AnimationUtils.loadAnimation(this.P, 2130968587);
      this.k.startAnimation(var1);
      this.k.setVisibility(4);
      var1 = AnimationUtils.loadAnimation(this.P, 2130968577);
      this.l.startAnimation(var1);
      this.l.setVisibility(4);
   }

   void l() {
      (new i(this)).start();
   }

   public void onAccuracyChanged(Sensor var1, int var2) {
   }

   public void onClick(View var1) {
      this.y();
      switch(var1.getId()) {
      case 2131361834:
         if(this.l.getVisibility() == 0) {
            Intent var2 = new Intent(this.P, SettingsActivity.class);
            this.P.startActivity(var2);
         }
      default:
      }
   }

   protected void onCreate(Bundle var1) {
      super.onCreate(var1);
      this.getWindow().setFlags(32, 32);
      this.getWindow().setFlags(262144, 262144);
      this.P = this;
      this.setContentView(2130903045);
      this.i = new GestureDetector(this, new k(this));
      this.e();
      this.e = (TextureView)this.findViewById(2131361827);
      this.e.setDuplicateParentStateEnabled(true);
      this.e.setSurfaceTextureListener(this);
      this.f = (SoftGLSurfaceView)this.findViewById(2131361828);
      this.f.setRecvDataCallBack(this);
      this.v = (CameraAnimRL)this.findViewById(2131361829);
      this.k = (BaseInfoStatusBar)this.findViewById(2131361830);
      this.l = (FlyStatusBar)this.findViewById(2131361831);
      this.m = (FreqSnrView)this.findViewById(2131361835);
      this.f();
      this.Q = (ProgressBar)this.findViewById(2131361844);
      this.g = (ImageButton)this.findViewById(2131361834);
      this.g.setOnClickListener(this);
      this.x = (TextView)this.findViewById(2131361832);
      this.y = (TextView)this.findViewById(2131361833);
      this.n = (RelativeLayout)this.findViewById(2131361836);
      this.r = (TextView)this.findViewById(2131361837);
      this.o = (RelativeLayout)this.findViewById(2131361838);
      this.s = (TextView)this.findViewById(2131361839);
      this.p = (RelativeLayout)this.findViewById(2131361840);
      this.t = (TextView)this.findViewById(2131361841);
      this.q = (RelativeLayout)this.findViewById(2131361842);
      this.u = (TextView)this.findViewById(2131361843);
      this.j = new com.dji.video.c.a(this, 0);
      this.j.a(this);
      this.R = (SensorManager)this.P.getSystemService("sensor");
      this.R.registerListener(this, this.R.getDefaultSensor(3), 2);
      this.S = this.getWindowManager().getDefaultDisplay();
      cc.a(this.getBaseContext());
      this.o();
      this.H();
      this.T = PreferenceManager.getDefaultSharedPreferences(this);
      this.U = this.T.edit();
      com.dji.video.d.c = this;
      this.J();
   }

   public boolean onCreateOptionsMenu(Menu var1) {
      super.onCreateOptionsMenu(var1);
      return true;
   }

   protected void onDestroy() {
      super.onDestroy();
      if(this.z != null) {
         this.z.cancel();
      }

      if(this.A != null) {
         this.A.cancel();
      }

      this.W = false;
   }

   public boolean onKeyDown(int var1, KeyEvent var2) {
      boolean var3;
      if(var1 == 4) {
         this.a(this.P);
         var3 = true;
      } else {
         var3 = super.onKeyDown(var1, var2);
      }

      return var3;
   }

   public boolean onOptionsItemSelected(MenuItem var1) {
      boolean var2 = true;
      switch(var1.getItemId()) {
      case 2:
         this.g();
         break;
      case 3:
         this.h();
         break;
      default:
         var2 = super.onOptionsItemSelected(var1);
      }

      return var2;
   }

   protected void onPause() {
      super.onPause();
      Log.i("VideoViewActivity", "onPause()");
      this.ab = true;
   }

   protected void onRestart() {
      super.onRestart();
      Log.i("VideoViewActivity", "onRestart()");
   }

   protected void onResume() {
      super.onResume();
      Log.i("VideoViewActivity", "onResume()");
      this.ab = false;
      if(!com.dji.video.e.o.a(this.P)) {
         this.p();
      }

      if(this.R != null) {
         this.R.registerListener(this, this.R.getDefaultSensor(3), 2);
      }

      if(this.V == null) {
         this.V = new v(this);
         IntentFilter var1 = new IntentFilter();
         var1.addAction("android.intent.action.ACTION_POWER_CONNECTED");
         var1.addAction("android.intent.action.ACTION_POWER_DISCONNECTED");
         this.registerReceiver(this.V, var1);
      }

   }

   public void onSensorChanged(SensorEvent var1) {
      switch(var1.sensor.getType()) {
      case 3:
         int var3 = (int)var1.values[0];
         int var2 = var3;
         if(this.S.getRotation() == 3) {
            var2 = var3 + 180;
         }

         this.d(var2);
      default:
      }
   }

   protected void onStart() {
      super.onStart();
      Log.i("VideoViewActivity", "onStart()");
   }

   protected void onStop() {
      super.onStop();
      Log.i("VideoViewActivity", "onStop()");
      this.R.unregisterListener(this);
      if(this.V != null) {
         this.unregisterReceiver(this.V);
         this.V = null;
      }

      if(com.dji.video.e.o.d()) {
         this.c();
      }

   }

   public void onSurfaceTextureAvailable(SurfaceTexture var1, int var2, int var3) {
      Log.i("VideoViewActivity", "onSurfaceTextureAvailable()");
      if(this.h == null) {
         this.a(new Surface(var1));
      }

   }

   public boolean onSurfaceTextureDestroyed(SurfaceTexture var1) {
      Log.i("VideoViewActivity", "onSurfaceTextureDestroyed()");
      return true;
   }

   public void onSurfaceTextureSizeChanged(SurfaceTexture var1, int var2, int var3) {
      Log.i("VideoViewActivity", "onSurfaceTextureSizeChanged()");
   }

   public void onSurfaceTextureUpdated(SurfaceTexture var1) {
   }

   public boolean onTouchEvent(MotionEvent var1) {
      boolean var2;
      if(!this.i.onTouchEvent(var1)) {
         var2 = super.onTouchEvent(var1);
      } else {
         var2 = true;
      }

      return var2;
   }
}
