package com.dji.video.settings;

import android.app.Dialog;
import android.content.Context;
import android.content.Intent;
import android.content.SharedPreferences;
import android.content.SharedPreferences.Editor;
import android.os.Bundle;
import android.preference.CheckBoxPreference;
import android.preference.Preference;
import android.preference.PreferenceActivity;
import android.preference.PreferenceManager;
import android.preference.PreferenceScreen;
import android.preference.Preference.OnPreferenceChangeListener;
import android.util.Log;
import android.view.MotionEvent;
import android.view.View;
import com.dji.video.CamController;
import com.dji.video.settings.AccoutsActivityDialog;
import com.dji.video.settings.AntennaActivity;
import com.dji.video.settings.ChannelSettings;
import com.dji.video.settings.DebugDefinitionSettingActivity;
import com.dji.video.settings.DefinitionSettingActivity;
import com.dji.video.settings.GeneralParameterSettingsActivity;
import com.dji.video.settings.HDMISettingActivity;
import com.dji.video.settings.MasterSlaveSettings;
import com.dji.video.settings.ModeSettingsActivity;
import com.dji.video.settings.NewSettingsAboutActivity;
import com.dji.video.settings.VideoSourceSettingActivity;
import com.dji.video.settings.WarningSettingsActivity;
import com.dji.video.settings.ca;
import com.dji.video.settings.cb;
import com.dji.video.settings.cd;

public class SettingsActivity extends PreferenceActivity implements com.dji.video.d.a {
   private static OnPreferenceChangeListener m = new ca();
   public Context a;
   Dialog b = null;
   private SharedPreferences c;
   private Editor d;
   private PreferenceManager e;
   private Preference f;
   private Preference g;
   private Preference h;
   private Preference i;
   private Preference j;
   private Preference k;
   private CheckBoxPreference l;

   public SettingsActivity() {
      super();
   }

   private void j() {
      this.k();
      this.l();
   }

   private void k() {
      this.addPreferencesFromResource(2131034114);
      this.addPreferencesFromResource(2131034119);
      this.addPreferencesFromResource(2131034132);
   }

   private void l() {
   }

   private void m() {
      com.dji.video.d.a(this, this.getString(2131427529), 0);
   }

   public void a() {
      this.runOnUiThread(new cb(this));
   }

   protected void b() {
      this.f = this.e.findPreference("advanced_channel");
      this.g = this.e.findPreference("advanced_definition");
      this.h = this.e.findPreference("advanced_master_slave");
      this.i = this.e.findPreference("set_parameter_unit");
      this.j = this.e.findPreference("advanced_video_source");
      this.k = this.e.findPreference("advanced_video_source");
   }

   protected void c() {
      this.d();
      this.e();
      this.f();
      this.h();
      this.g();
      this.i();
   }

   protected void d() {
      int var1 = com.dji.video.b.m.a().f();
      if(var1 == 1) {
         this.f.setSummary(this.getString(2131427354));
      } else if(var1 == 0) {
         this.f.setSummary(this.getString(2131427355));
      }

   }

   protected void e() {
      int var3 = com.dji.video.b.m.a().m();
      int var2 = var3;
      if(var3 == 0) {
         var2 = this.c.getInt("advanced_definition", 3);
      }

      String var1;
      switch(var2) {
      case 2:
         var1 = this.getString(2131427389);
         break;
      case 3:
         var1 = this.getString(2131427390);
         break;
      case 4:
         if(com.dji.video.b.m.a().o()) {
            var1 = "";
         } else {
            var1 = this.getString(2131427391);
         }
         break;
      default:
         var1 = "";
      }

      if(com.dji.video.b.m.a().x == 1) {
         var1 = this.getString(2131427392);
      }

      this.g.setSummary(var1);
   }

   protected void f() {
      int var2 = com.dji.video.b.m.a().g();
      String var1 = "";
      switch(var2) {
      case 1:
         var1 = this.getString(2131427372);
         break;
      case 2:
         var1 = this.getString(2131427373);
      }

      this.h.setSummary(var1);
   }

   public void finish() {
      super.finish();
   }

   protected void g() {
      this.c.getBoolean("parameter_imperial", false);
      this.c.getBoolean("parameter_metric", false);
      if(com.dji.video.b.m.a().v == 0) {
         this.i.setSummary(this.getResources().getText(2131427453));
      } else if(com.dji.video.b.m.a().v == 1) {
         this.i.setSummary(this.getResources().getText(2131427454));
      } else {
         this.i.setSummary(this.getResources().getText(2131427454));
      }

   }

   protected void h() {
      int var3 = com.dji.video.b.m.a().p();
      int var4 = com.dji.video.b.m.a().n();
      String var1 = "";
      String var2 = "";
      if(var4 == 0) {
         var1 = this.getString(2131427361);
      } else if(var4 == 1) {
         var1 = this.getString(2131427360);
      }

      if(var3 == 0) {
         var2 = this.getString(2131427365);
      } else if(var3 == 1) {
         var2 = this.getString(2131427366);
      }

      var1 = String.format("%s,%s", new Object[]{var1, var2});
      this.j.setSummary(var1);
   }

   protected void i() {
      if(this.c.getBoolean("PhantomLogined", false)) {
         String var1 = this.c.getString("PhantomUserName", "");
         this.getPreferenceManager().findPreference("account_title").setSummary(var1);
      }

   }

   protected void onCreate(Bundle var1) {
      super.onCreate(var1);
      this.getWindow().setFlags(262144, 262144);
      this.setContentView(2130903060);
      this.j();
      this.a = this.getApplicationContext();
      this.getApplicationContext().getContentResolver();
      this.e = this.getPreferenceManager();
      com.dji.video.b.m.a().a(this);
   }

   protected void onPause() {
      super.onPause();
   }

   @Deprecated
   public boolean onPreferenceTreeClick(PreferenceScreen var1, Preference var2) {
      Log.d("SettingsActivity", "onPreferenceTreeClick");
      String var3 = var2.getKey();
      if("advanced_mode".equals(var3)) {
         this.startActivity(new Intent(this, ModeSettingsActivity.class));
         this.finish();
      } else if("advanced_channel".equals(var3)) {
         if(com.dji.video.b.m.a().h()) {
            this.m();
         } else {
            this.startActivity(new Intent(this, ChannelSettings.class));
            this.finish();
         }
      } else if("advanced_definition".equals(var3)) {
         if(com.dji.video.b.m.a().h()) {
            this.m();
         } else if(com.dji.video.b.m.a().o()) {
            com.dji.video.d.a(this, this.getString(2131427528), 0);
         } else if(cd.d()) {
            this.startActivity(new Intent(this, DebugDefinitionSettingActivity.class));
            this.finish();
         } else {
            this.startActivity(new Intent(this, DefinitionSettingActivity.class));
            this.finish();
         }
      } else if("advanced_master_slave".equals(var3)) {
         this.startActivity(new Intent(this, MasterSlaveSettings.class));
         this.finish();
      } else if("advanced_video_source".equals(var3)) {
         this.startActivity(new Intent(this, VideoSourceSettingActivity.class));
         this.finish();
      } else if("advanced_hdmi_setting".equals(var3)) {
         this.startActivity(new Intent(this, HDMISettingActivity.class));
         this.finish();
      } else if("smooth_mode".equals(var3)) {
         System.out.println("smooth_mode");
         int[] var4 = new int[]{8};
         int var5;
         if(this.l.isChecked()) {
            var5 = com.dji.video.h.a().a(var4, new int[]{1}, 31);
            com.dji.video.b.m.a().u = 1;
            CamController.native_DecodeMode(true);
         } else {
            int[] var6 = new int[1];
            var5 = com.dji.video.h.a().a(var4, var6, 31);
            com.dji.video.b.m.a().u = 0;
            CamController.native_DecodeMode(false);
         }

         if(var5 < 0) {
            com.dji.video.d.a(this.a, this.a.getResources().getString(2131427500), 0);
         }
      } else if("set_parameter_unit".equals(var3)) {
         this.startActivity(new Intent(this, GeneralParameterSettingsActivity.class));
         this.finish();
      } else if("warning_settings".endsWith(var3)) {
         this.startActivity(new Intent(this, WarningSettingsActivity.class));
         this.finish();
      } else if("antenna_signal".equals(var3)) {
         com.dji.video.d.a(this.a, this.getString(2131427437), 0);
         this.startActivity(new Intent(this, AntennaActivity.class));
         this.finish();
      } else if("account_title".equals(var3)) {
         this.startActivity(new Intent(this, AccoutsActivityDialog.class));
         this.finish();
      } else if("about_title".equals(var3)) {
         this.startActivity(new Intent(this, NewSettingsAboutActivity.class));
         this.finish();
      }

      return super.onPreferenceTreeClick(var1, var2);
   }

   protected void onResume() {
      super.onResume();
      this.c = PreferenceManager.getDefaultSharedPreferences(this.a);
      this.d = this.c.edit();
      this.b();
      this.c();
   }

   public void onReturn(View var1) {
      this.finish();
   }

   protected void onStop() {
      super.onStop();
      com.dji.video.b.m.a().b();
   }

   public boolean onTouchEvent(MotionEvent var1) {
      boolean var2;
      if(4 == var1.getAction()) {
         this.finish();
         var2 = true;
      } else {
         var2 = super.onTouchEvent(var1);
      }

      return var2;
   }
}
