package com.dji.video.widgets;

import android.content.Context;
import android.content.res.TypedArray;
import android.os.Parcelable;
import android.preference.Preference;
import android.util.AttributeSet;
import android.view.View;
import android.view.accessibility.AccessibilityManager;
import android.widget.RadioButton;
import android.widget.RadioGroup;
import com.dji.video.widgets.RadioPreference$SavedState;
import com.dji.video.widgets.a;

public class RadioPreference extends Preference {
   Context a;
   private boolean b;
   private AccessibilityManager c;
   private boolean d;
   private boolean e;

   public RadioPreference(Context var1) {
      super(var1);
   }

   public RadioPreference(Context var1, AttributeSet var2) {
      super(var1, var2);
      this.c = (AccessibilityManager)this.getContext().getSystemService("accessibility");
      this.a = var1;
   }

   public RadioPreference(Context var1, AttributeSet var2, int var3) {
      super(var1, var2, var3);
      this.c = (AccessibilityManager)this.getContext().getSystemService("accessibility");
      this.a = var1;
   }

   public void a(boolean var1) {
      if(this.d != var1) {
         this.d = var1;
         this.persistBoolean(var1);
         this.notifyDependencyChange(this.shouldDisableDependents());
         this.notifyChanged();
      }

   }

   public boolean a() {
      return this.d;
   }

   public boolean isPersistent() {
      return false;
   }

   protected void onBindView(View var1) {
      super.onBindView(var1);
      RadioButton var2 = (RadioButton)var1.findViewById(2131361917);
      ((RadioGroup)var1.findViewById(2131361916)).setOnCheckedChangeListener(new a(this, var2));
   }

   protected void onClick() {
      super.onClick();
      boolean var1;
      if(this.a()) {
         var1 = false;
      } else {
         var1 = true;
      }

      this.b = true;
      if(this.callChangeListener(Boolean.valueOf(var1))) {
         this.a(var1);
      }

   }

   protected Object onGetDefaultValue(TypedArray var1, int var2) {
      return Boolean.valueOf(var1.getBoolean(var2, false));
   }

   protected void onRestoreInstanceState(Parcelable var1) {
      if(var1 != null && var1.getClass().equals(RadioPreference$SavedState.class)) {
         RadioPreference$SavedState var2 = (RadioPreference$SavedState)var1;
         super.onRestoreInstanceState(var2.getSuperState());
         this.a(var2.a);
      } else {
         super.onRestoreInstanceState(var1);
      }

   }

   protected Parcelable onSaveInstanceState() {
      Object var1 = super.onSaveInstanceState();
      if(!this.isPersistent()) {
         var1 = new RadioPreference$SavedState((Parcelable)var1);
         ((RadioPreference$SavedState)var1).a = this.a();
      }

      return (Parcelable)var1;
   }

   protected void onSetInitialValue(boolean var1, Object var2) {
      if(var1) {
         var1 = this.getPersistedBoolean(this.d);
      } else {
         var1 = ((Boolean)var2).booleanValue();
      }

      this.a(var1);
   }

   public boolean shouldDisableDependents() {
      boolean var2 = false;
      boolean var1;
      if(this.e) {
         var1 = this.d;
      } else if(this.d) {
         var1 = false;
      } else {
         var1 = true;
      }

      if(!var1 && !super.shouldDisableDependents()) {
         var1 = var2;
      } else {
         var1 = true;
      }

      return var1;
   }
}
