package com.dji.video.widgets;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.GradientDrawable;
import android.graphics.drawable.GradientDrawable.Orientation;
import android.os.Handler;
import android.text.Layout;
import android.text.StaticLayout;
import android.text.TextPaint;
import android.text.Layout.Alignment;
import android.util.AttributeSet;
import android.util.FloatMath;
import android.view.GestureDetector;
import android.view.MotionEvent;
import android.view.View;
import android.view.GestureDetector.SimpleOnGestureListener;
import android.view.View.MeasureSpec;
import android.view.animation.Interpolator;
import android.widget.Scroller;
import com.dji.video.widgets.f;
import com.dji.video.widgets.g;
import java.util.Iterator;
import java.util.LinkedList;
import java.util.List;

public class WheelView extends View {
   private static final int[] b = new int[]{-15658735, 11184810, 11184810};
   private final int A = 1;
   private Handler B = new g(this);
   boolean a = false;
   private com.dji.video.a.b c = null;
   private int d = 0;
   private int e = 0;
   private int f = 0;
   private int g = 5;
   private int h = 0;
   private TextPaint i;
   private TextPaint j;
   private StaticLayout k;
   private StaticLayout l;
   private StaticLayout m;
   private String n;
   private Drawable o;
   private GradientDrawable p;
   private GradientDrawable q;
   private boolean r;
   private int s;
   private GestureDetector t;
   private Scroller u;
   private int v;
   private List w = new LinkedList();
   private List x = new LinkedList();
   private SimpleOnGestureListener y = new f(this);
   private final int z = 0;

   public WheelView(Context var1) {
      super(var1);
      this.a(var1);
   }

   public WheelView(Context var1, AttributeSet var2) {
      super(var1, var2);
      this.a(var1);
   }

   public WheelView(Context var1, AttributeSet var2, int var3) {
      super(var1, var2, var3);
      this.a(var1);
   }

   private int a(Layout var1) {
      int var2;
      if(var1 == null) {
         var2 = 0;
      } else {
         var2 = Math.max(this.getItemHeight() * this.g - 8 - 15, this.getSuggestedMinimumHeight());
      }

      return var2;
   }

   private String a(int var1) {
      Object var3 = null;
      String var2 = (String)var3;
      if(this.c != null) {
         if(this.c.a() == 0) {
            var2 = (String)var3;
         } else {
            int var4;
            int var5;
            label32: {
               var5 = this.c.a();
               if(var1 >= 0) {
                  var4 = var1;
                  if(var1 < var5) {
                     break label32;
                  }
               }

               var2 = (String)var3;
               if(!this.a) {
                  return var2;
               }
            }

            for(var4 = var1; var4 < 0; var4 += var5) {
               ;
            }

            var2 = this.c.a(var4 % var5);
         }
      }

      return var2;
   }

   private String a(boolean var1) {
      StringBuilder var3 = new StringBuilder();
      int var5 = this.g / 2 + 1;

      for(int var4 = this.d - var5; var4 <= this.d + var5; ++var4) {
         if(var1 || var4 != this.d) {
            String var2 = this.a(var4);
            if(var2 != null) {
               var3.append(var2);
            }
         }

         if(var4 < this.d + var5) {
            var3.append("\n");
         }
      }

      return var3.toString();
   }

   private void a(Context var1) {
      this.t = new GestureDetector(var1, this.y);
      this.t.setIsLongpressEnabled(false);
      this.u = new Scroller(var1);
   }

   private void a(Canvas var1) {
      this.p.setBounds(0, 0, this.getWidth(), this.getHeight() / this.g);
      this.p.draw(var1);
      this.q.setBounds(0, this.getHeight() - this.getHeight() / this.g, this.getWidth(), this.getHeight());
      this.q.draw(var1);
   }

   // $FF: synthetic method
   static void a(WheelView var0, int var1) {
      var0.b(var1);
   }

   // $FF: synthetic method
   static boolean a(WheelView var0) {
      return var0.r;
   }

   // $FF: synthetic method
   static Scroller b(WheelView var0) {
      return var0.u;
   }

   private void b(int var1) {
      this.s += var1;
      int var2 = this.s / this.getItemHeight();
      int var3 = this.d - var2;
      if(this.a && this.c.a() > 0) {
         while(true) {
            if(var3 >= 0) {
               var1 = var3 % this.c.a();
               break;
            }

            var3 += this.c.a();
         }
      } else if(this.r) {
         if(var3 < 0) {
            var2 = this.d;
            var1 = 0;
         } else {
            var1 = var3;
            if(var3 >= this.c.a()) {
               var2 = this.d - this.c.a() + 1;
               var1 = this.c.a() - 1;
            }
         }
      } else {
         var1 = Math.min(Math.max(var3, 0), this.c.a() - 1);
      }

      var3 = this.s;
      if(var1 != this.d) {
         this.a(var1, false);
      } else {
         this.invalidate();
      }

      this.s = var3 - this.getItemHeight() * var2;
      if(this.s > this.getHeight()) {
         this.s = this.s % this.getHeight() + this.getHeight();
      }

   }

   private void b(Canvas var1) {
      this.j.setColor(-251698361);
      this.j.drawableState = this.getDrawableState();
      Rect var2 = new Rect();
      this.k.getLineBounds(this.g / 2, var2);
      if(this.l != null) {
         var1.save();
         var1.translate((float)(this.k.getWidth() + 8), (float)var2.top);
         this.l.draw(var1);
         var1.restore();
      }

      if(this.m != null) {
         var1.save();
         var1.translate(0.0F, (float)(var2.top + this.s));
         this.m.draw(var1);
         var1.restore();
      }

   }

   // $FF: synthetic method
   static void b(WheelView var0, int var1) {
      var0.v = var1;
   }

   private int c(int var1, int var2) {
      this.e();
      int var4 = this.getMaxTextLength();
      if(var4 > 0) {
         float var3 = FloatMath.ceil(Layout.getDesiredWidth("0", this.i));
         this.e = (int)((float)var4 * var3);
      } else {
         this.e = 0;
      }

      this.e += 10;
      this.f = 0;
      if(this.n != null && this.n.length() > 0) {
         this.f = (int)FloatMath.ceil(Layout.getDesiredWidth(this.n, this.j));
      }

      boolean var6;
      if(var2 == 1073741824) {
         var6 = true;
      } else {
         int var5 = this.e + this.f + 20;
         var4 = var5;
         if(this.f > 0) {
            var4 = var5 + 8;
         }

         var4 = Math.max(var4, this.getSuggestedMinimumWidth());
         if(var2 == Integer.MIN_VALUE && var1 < var4) {
            var6 = true;
         } else {
            var1 = var4;
            var6 = false;
         }
      }

      if(var6) {
         var2 = var1 - 8 - 20;
         if(var2 <= 0) {
            this.f = 0;
            this.e = 0;
         }

         if(this.f > 0) {
            this.e = (int)((double)this.e * (double)var2 / (double)(this.e + this.f));
            this.f = var2 - this.e;
         } else {
            this.e = var2 + 8;
         }
      }

      if(this.e > 0) {
         this.d(this.e, this.f);
      }

      return var1;
   }

   private void c(Canvas var1) {
      var1.save();
      var1.translate(0.0F, (float)(-this.k.getLineTop(1) + this.s));
      this.i.setColor(-16777216);
      this.i.drawableState = this.getDrawableState();
      this.k.draw(var1);
      var1.restore();
   }

   // $FF: synthetic method
   static void c(WheelView var0) {
      var0.f();
   }

   // $FF: synthetic method
   static void c(WheelView var0, int var1) {
      var0.setNextMessage(var1);
   }

   private void d() {
      this.k = null;
      this.m = null;
      this.s = 0;
   }

   private void d(int var1, int var2) {
      TextPaint var5;
      if(this.k != null && this.k.getWidth() <= var1) {
         this.k.increaseWidthTo(var1);
      } else {
         String var4 = this.a(this.r);
         var5 = this.i;
         Alignment var3;
         if(var2 > 0) {
            var3 = Alignment.ALIGN_OPPOSITE;
         } else {
            var3 = Alignment.ALIGN_CENTER;
         }

         this.k = new StaticLayout(var4, var5, var1, var3, 1.0F, 15.0F, false);
      }

      if(!this.r && (this.m == null || this.m.getWidth() > var1)) {
         String var6;
         if(this.getAdapter() != null) {
            var6 = this.getAdapter().a(this.d);
         } else {
            var6 = null;
         }

         if(var6 == null) {
            var6 = "";
         }

         var5 = this.j;
         Alignment var7;
         if(var2 > 0) {
            var7 = Alignment.ALIGN_OPPOSITE;
         } else {
            var7 = Alignment.ALIGN_CENTER;
         }

         this.m = new StaticLayout(var6, var5, var1, var7, 1.0F, 15.0F, false);
      } else if(this.r) {
         this.m = null;
      } else {
         this.m.increaseWidthTo(var1);
      }

      if(var2 > 0) {
         if(this.l != null && this.l.getWidth() <= var2) {
            this.l.increaseWidthTo(var2);
         } else {
            this.l = new StaticLayout(this.n, this.j, var2, Alignment.ALIGN_NORMAL, 1.0F, 15.0F, false);
         }
      }

   }

   private void d(Canvas var1) {
      int var3 = this.getHeight() / 2;
      int var2 = this.getItemHeight() / 2;
      this.o.setBounds(0, var3 - var2, this.getWidth(), var3 + var2);
      this.o.draw(var1);
   }

   // $FF: synthetic method
   static void d(WheelView var0) {
      var0.h();
   }

   // $FF: synthetic method
   static int e(WheelView var0) {
      return var0.d;
   }

   private void e() {
      if(this.i == null) {
         this.i = new TextPaint(33);
         this.i.setTextSize(24.0F);
      }

      if(this.j == null) {
         this.j = new TextPaint(37);
         this.j.setTextSize(24.0F);
         this.j.setShadowLayer(0.1F, 0.0F, 0.1F, -4144960);
      }

      if(this.o == null) {
         this.o = this.getContext().getResources().getDrawable(2130837642);
      }

      if(this.p == null) {
         this.p = new GradientDrawable(Orientation.TOP_BOTTOM, b);
      }

      if(this.q == null) {
         this.q = new GradientDrawable(Orientation.BOTTOM_TOP, b);
      }

      this.setBackgroundResource(2130837641);
   }

   // $FF: synthetic method
   static int f(WheelView var0) {
      return var0.getItemHeight();
   }

   private void f() {
      this.B.removeMessages(0);
      this.B.removeMessages(1);
   }

   // $FF: synthetic method
   static int g(WheelView var0) {
      return var0.s;
   }

   private void g() {
      if(this.c != null) {
         this.v = 0;
         int var3 = this.s;
         int var4 = this.getItemHeight();
         boolean var1;
         if(var3 > 0) {
            if(this.d < this.c.a()) {
               var1 = true;
            } else {
               var1 = false;
            }
         } else if(this.d > 0) {
            var1 = true;
         } else {
            var1 = false;
         }

         int var2;
         label31: {
            if(!this.a) {
               var2 = var3;
               if(!var1) {
                  break label31;
               }
            }

            var2 = var3;
            if(Math.abs((float)var3) > (float)var4 / 2.0F) {
               if(var3 < 0) {
                  var2 = var3 + var4 + 1;
               } else {
                  var2 = var3 - (var4 + 1);
               }
            }
         }

         if(Math.abs(var2) > 1) {
            this.u.startScroll(0, 0, 0, var2, 400);
            this.setNextMessage(1);
         } else {
            this.c();
         }
      }

   }

   private int getItemHeight() {
      int var1;
      if(this.h != 0) {
         var1 = this.h;
      } else if(this.k != null && this.k.getLineCount() > 2) {
         this.h = this.k.getLineTop(2) - this.k.getLineTop(1);
         var1 = this.h;
      } else {
         var1 = this.getHeight() / this.g;
      }

      return var1;
   }

   private int getMaxTextLength() {
      int var5 = 0;
      com.dji.video.a.b var4 = this.getAdapter();
      if(var4 != null) {
         var5 = var4.b();
         if(var5 <= 0) {
            var5 = this.g / 2;
            var5 = Math.max(this.d - var5, 0);

            String var1;
            String var2;
            for(var2 = null; var5 < Math.min(this.d + this.g, var4.a()); var2 = var1) {
               String var3 = var4.a(var5);
               var1 = var2;
               if(var3 != null) {
                  label39: {
                     if(var2 != null) {
                        var1 = var2;
                        if(var2.length() >= var3.length()) {
                           break label39;
                        }
                     }

                     var1 = var3;
                  }
               }

               ++var5;
            }

            if(var2 != null) {
               var5 = var2.length();
            } else {
               var5 = 0;
            }
         }
      }

      return var5;
   }

   // $FF: synthetic method
   static com.dji.video.a.b h(WheelView var0) {
      return var0.c;
   }

   private void h() {
      if(!this.r) {
         this.r = true;
         this.a();
      }

   }

   // $FF: synthetic method
   static int i(WheelView var0) {
      return var0.v;
   }

   // $FF: synthetic method
   static Handler j(WheelView var0) {
      return var0.B;
   }

   // $FF: synthetic method
   static void k(WheelView var0) {
      var0.g();
   }

   private void setNextMessage(int var1) {
      this.f();
      this.B.sendEmptyMessage(var1);
   }

   protected void a() {
      Iterator var1 = this.x.iterator();

      while(var1.hasNext()) {
         ((com.dji.video.d.c)var1.next()).a(this);
      }

   }

   protected void a(int var1, int var2) {
      Iterator var3 = this.w.iterator();

      while(var3.hasNext()) {
         ((com.dji.video.d.b)var3.next()).a(this, var1, var2);
      }

   }

   public void a(int var1, boolean var2) {
      if(this.c != null && this.c.a() != 0) {
         int var3;
         label35: {
            if(var1 >= 0) {
               var3 = var1;
               if(var1 < this.c.a()) {
                  break label35;
               }
            }

            if(!this.a) {
               return;
            }

            while(var1 < 0) {
               var1 += this.c.a();
            }

            var3 = var1 % this.c.a();
         }

         if(var3 != this.d) {
            if(var2) {
               this.b(var3 - this.d, 400);
            } else {
               this.d();
               var1 = this.d;
               this.d = var3;
               this.a(var1, this.d);
               this.invalidate();
            }
         }
      }

   }

   protected void b() {
      Iterator var1 = this.x.iterator();

      while(var1.hasNext()) {
         ((com.dji.video.d.c)var1.next()).b(this);
      }

   }

   public void b(int var1, int var2) {
      this.u.forceFinished(true);
      this.v = this.s;
      int var3 = this.getItemHeight();
      this.u.startScroll(0, this.v, 0, var1 * var3 - this.v, var2);
      this.setNextMessage(0);
      this.h();
   }

   void c() {
      if(this.r) {
         this.b();
         this.r = false;
      }

      this.d();
      this.invalidate();
   }

   public com.dji.video.a.b getAdapter() {
      return this.c;
   }

   public int getCurrentItem() {
      return this.d;
   }

   public String getLabel() {
      return this.n;
   }

   public int getVisibleItems() {
      return this.g;
   }

   protected void onDraw(Canvas var1) {
      super.onDraw(var1);
      if(this.k == null) {
         if(this.e == 0) {
            this.c(this.getWidth(), 1073741824);
         } else {
            this.d(this.e, this.f);
         }
      }

      if(this.e > 0) {
         var1.save();
         var1.translate(10.0F, -4.0F);
         this.c(var1);
         this.b(var1);
         var1.restore();
      }

      this.d(var1);
      this.a(var1);
   }

   protected void onMeasure(int var1, int var2) {
      int var4 = MeasureSpec.getMode(var1);
      int var3 = MeasureSpec.getMode(var2);
      int var5 = MeasureSpec.getSize(var1);
      var1 = MeasureSpec.getSize(var2);
      var4 = this.c(var5, var4);
      if(var3 != 1073741824) {
         var2 = this.a((Layout)this.k);
         if(var3 == Integer.MIN_VALUE) {
            var1 = Math.min(var2, var1);
         } else {
            var1 = var2;
         }
      }

      this.setMeasuredDimension(var4, var1);
   }

   public boolean onTouchEvent(MotionEvent var1) {
      if(this.getAdapter() != null && !this.t.onTouchEvent(var1) && var1.getAction() == 1) {
         this.g();
      }

      return true;
   }

   public void setAdapter(com.dji.video.a.b var1) {
      this.c = var1;
      this.d();
      this.invalidate();
   }

   public void setCurrentItem(int var1) {
      this.a(var1, false);
   }

   public void setCyclic(boolean var1) {
      this.a = var1;
      this.invalidate();
      this.d();
   }

   public void setInterpolator(Interpolator var1) {
      this.u.forceFinished(true);
      this.u = new Scroller(this.getContext(), var1);
   }

   public void setLabel(String var1) {
      if(this.n == null || !this.n.equals(var1)) {
         this.n = var1;
         this.l = null;
         this.invalidate();
      }

   }

   public void setVisibleItems(int var1) {
      this.g = var1;
      this.invalidate();
   }
}
